Ubuntu

Realtek RTL8192SE WLAN Card Fails to work on Medion Akoya E1312 Netbook

Reported by Sweevo on 2009-07-18
416
This bug affects 77 people
Affects Status Importance Assigned to Milestone
Debian
New
Undecided
Unassigned
linux (Fedora)
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Nominated for Karmic by Asem
Nominated for Lucid by Asem

Bug Description

On my new Medion Akoya E1312 Netbook (http://www.medion.com/ms/aldi/md97690/uk/) the WLAN card, which I believe is a Realtek RTL8192SE card (at least that's what Windows XP reports it as) fails to be detected and work.

The only option I have is to use the Realtek onboard wired LAN, which is detected correctly.

I'm currently running:

Ubuntu 9.04 (with all updates applied)
Kernel: 2.6.28-13-generic

I'm attaching:

dsmesg, lspci and lspci -n

Please let me know if there's anything further that I can add to be of assistance

Same problem, same symptoms on a new Toshiba L505-10P. The card is Realtek Semiconductor Co., Ltd. Device 8172 (rev 10). With the drivers provided below, the connection is successful but once I use Internet, a kernel panic occurs....(Karmic 64 bits, latest update)

Sweevo (mark-mark-stevenson) wrote :
Sweevo (mark-mark-stevenson) wrote :
Philip Muškovac (yofel) on 2009-07-18
affects: ubuntu → linux (Ubuntu)
Sweevo (mark-mark-stevenson) wrote :

Just to add a little more information to this, I've tried the following without any success:

sudo apt-get install ndiswrapper-utils-1.9
sudo ndiswrapper -i net8192se.inf (this was taken from the Windows XP driver for the card)
sudo ndiswrapper -l

This produced:

net8192se : driver installed
 device (10EC:8172) present

sudo ndiswrapper -m
sudo modprobe ndiswrapper
sudo /etc/init.d/networking restart
iwconfig

This produced:

lo no wireless extensions.
eth0 no wireless extensions.
vboxnet0 no wireless extensions.
pan0 no wireless extensions.

So no joy with ndiswrapper :(

description: updated
summary: - Realtek RTL8191 WLAN Card Fails work on Medion Akoya E1312 Netbook
+ Realtek RTL8192SE WLAN Card Fails work on Medion Akoya E1312 Netbook

Same prob :-( with Medion akoya P6620 with Realtek rtl8191se w-lan 802.11 n Pci-E NIC --- using Ubuntu 9.04 64-bit. ndiswrapper don't work with xp/xp64/vista/vista64 .inf :-((

zippy165141 (glosscomputers) wrote :

rtl8191se wlan working fine on my e1312 using the win2k driver from the windows cd with the ndiswrapper commands from above. tested in ubuntu 9.10 will try 9.04 asap

zippy165141 (glosscomputers) wrote :

dont forget to add ndiswrapper to the end of sudo gedit /etc/modules

it takes about 30sec to reconect after sleep

zippy165141 (glosscomputers) wrote :

tested on 9.04 works great but takes a while to work after sleeping

Sweevo (mark-mark-stevenson) wrote :

Hi zippy165141

Thanks for your testing.

I've now tried the Win2k driver on both Jaunty and Karmic and although it installs in NDISWrapper fine and it becomes available in Network Manager, I am unable to scan for any wireless networks or connect to my WPA2 network.

Searching around on the web, it looks like I'm far from alone in this:

http://ubuntuforums.org/showthread.php?t=1182457
http://ubuntuforums.org/showthread.php?t=1209710
http://ohioloco.ubuntuforums.org/showthread.php?t=1190996
http://forums.lenovo.com/t5/T400-T500-and-newer-T-series/Replacing-T400-wireless-card/m-p/134159
http://lnv.lithium.com/t5/Linux-Discussion/New-T500-no-wifi-drivers/m-p/148683

These are just a few of the posts I've found.

I'd be really grateful if you could provide me with an idiots guide to what you've done to get yours working please.

Thanks for all of your help

Sweevo

zippy165141 (glosscomputers) wrote :

thats strange,i can scan and join any network,i dont want to make u sound stupid but u have turned the fn f8 wireless on havent u? download the package ive posted it works fine.

Sweevo (mark-mark-stevenson) wrote :

Don't worry about making me sound stupid, I'm glad I asked you for and idiots guide!

I could kick myself, I was convinced I had the WLAN switched on as the Wireless Indicator light was showing dark blue...

However, RTFM - there are four states for the WLAN:

Lights green - The wireless LAN function is activated
Lights blue - The Bluetooth function is activated.
Lights light blue - Wireless LAN and Bluetooth functions are both activated.
Lights off - Wireless and Bluetooth both disabled

So basically I'd just enable bluetooth, not the WLAN - on setting it to light blue and using the Win2k driver, the card's working really well.

I hope this post will help all of the other people who have been struggling with it the same as I have.

Thanks so much for all of your help.

Sweevo

zippy165141 (glosscomputers) wrote :

i changed the card for a intel one and it still takes 30sec to reconect from sleep,any ideas y anyone?

I was able to implement this on a 32-bit Ubuntu 9.04 installation. Do you have similar solution for 64-bit Ubuntu 9.04 version?

zakzor (zakzor) wrote :

Thanks for the Win2K driver tip.

Just for the note.
Realtek RTL8192SE working great in Toshiba L500-13W with the Win2K driver with Ubuntu 9.04 32bit.

zakzor (zakzor) wrote :

My router is a IEEE 802.11g.

Did anyone already tried this Win2K driver + ndiswrapper in any N or N-draft router?

I ask this because when i installed the driver (before connecting to my WPA 54Mbps network) the rate stated on iwconfig was only 65Mbps.
After connecting to the router it went to the router max (54Mbps).

I know we can always change the rate manually but will it go further?

Thanks in advance,
zakzor

david woo (wooshwu) wrote :

Please try the rtl8192se Linux driver in the attachment from Realtek.
just use the command of `make; make install`,
then reboot,
the network shall work now.

Sweevo (mark-mark-stevenson) wrote :

Hi David

Many thanks for posting the driver.

In my efforts to get this card working, I've ended up on the Beta of Ubuntu 9.10 (Karmic) with Kernel 2.6.31-14-generic

I've tried making the drivers, "make" completes successfully, but I get the following error when I "sudo make install":

make[2]: Entering directory `/usr/src/linux-headers-2.6.31-14-generic'
  CHK include/linux/version.h
  CHK include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
make[3]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'. Stop.
make[2]: *** [prepare0] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.31-14-generic'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/mark/Desktop/rtl8192se_linux_2.6.0010.1012.2009/HAL/rtl8192'
make: *** [install] Error 2

I've made sure that the kernel headers and source and also build-essential are all installed, but still no luck.

I can see from the readme file included with the drivers that it should work on Karmic, so I'm guessing that I'm either doing something wrong or that something is wrong with my Karmic install.

I've Googled the error and been through the Ubuntu Forums and have found other people with similar issues, but I can't find anything to help me with this issue.

Any help that anyone here can provide would be gratefully received.

Thanks and kind regards

Sweevo

summary: - Realtek RTL8192SE WLAN Card Fails work on Medion Akoya E1312 Netbook
+ Realtek RTL8192SE WLAN Card Fails to work on Medion Akoya E1312 Netbook
Sweevo (mark-mark-stevenson) wrote :

Just to let you know that following method 2 in the readme file works!

It does mean that until I can get the driver to compile properly, following method 1, that I have to manually bring the card up by running "sudo ./wlan0up", but it works - and it works much better than ndiswrapper which was giving me lots of headaches.

I'd been finding that with ndiswrapper, since kernel 2.6.31-10, I was having to run "sudo renice +19 $(pidof wpa_supplicant)" just to get it to make a connection to my router - but I don't have to do that any longer with this driver.

So if anyone has any ideas to help me out with the "make install" error then I'd be really happy to hear from you.

David - thanks so much for passing this driver on, but where did you find it? Realtek never got back to me on any of my (many) emails and I still can't find any mention of the driver on Google.

Thanks

Sweevo

david woo (wooshwu) wrote :

Hi Sweevo,

   The driver has been verified Ok with the kernel version of 2.6.31-10-generic based on
    Ubuntu 9.10 Karmic.
    As you mentioned, I'll check the driver with the kernel 2.6.31-15-generic, and see
   whether the issue also exists?

   You can also request for the drive from the Realtek with mail address <email address hidden>,
   just as it was mentioned within the driver package.

  Thanks

David

david woo (wooshwu) wrote :

With kernel image updated, I just tried the driver with "make" and "make install" on the Beta of Ubuntu 9.10 (Karmic) with Kernel 2.6.31-14-generic, and it also seems to be working now.

make[1]: Entering directory `/usr/src/linux-headers-2.6.31-14-generic'
  Building modules, stage 2.
  MODPOST 1 modules
make[1]:Leaving directory `/usr/src/linux-headers-2.6.31-14-generic'
make[1]: Entering directory `/home/david/rtl8192se_linux_2.6.0010.1012.2009/HAL/rtl8192'
make -C /lib/modules/2.6.31-14-generic/build M=/home/david/rtl8192se_linux_2.6.0010.1012.2009 CC=gcc modules
make[2]: Entering directory `/usr/src/linux-headers-2.6.31-14-generic'
  Building modules, stage 2.
  MODPOST 0 modules
make[2]:Leaving directory `/usr/src/linux-headers-2.6.31-14-generic'
install -p -m 644 r8192se_pci.ko /lib/modules/2.6.31-14-generic/kernel/drivers/net/wireless/
depmod -a
make[1]:Leaving directory `/home/david/rtl8192se_linux_2.6.0010.1012.2009/HAL/rtl8192'

    After reboot, the networks now can also be scanned and connected with OPEN/WEP/WPA/WPA2, etc
    by NetworkManager,

   Thanks

David

david woo (wooshwu) wrote :

Or would you try to install the driver module manually with the following steps,
[1] Copy the target module rtl8192se_pci.ko to /lib/modules/2.6.31-14-generic/kernel/drivers/net/wireless/
[2] Copy rtl8192se firmware folder to /lib/firmware/`uname -r`
[3] Run the command of `depmod -a`
[4] Run the command of 'modprobe rtl8192se_pci', or reboot.
[5] Check the NetworkManager, and see whether there's network list show out?

   Thanks!

David

fiat1100d (gratteri-email) wrote :

Hello,

I tried to compile the driver on another notebook based on the same network card (Toshiba Satellite A500D-10K).
"make" works, but "sudo make install" doesn't do its job, with the same error about "bounds.c" stated by Sweevo.
I manually installed the driver, as suggested by David, but I get what seems to be a kernel panic! I had to boot from Ubuntu Live CD, delete the firmware folder and then the system could continue booting.

This on amd64 platform:
Linux satellite 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

Daniele

Nigel Pallett (nigelp) wrote :

Hello David,

Is this rtl8192se driver from Realtek designed to work with Ubuntu 64bit ?

I can get it to work ok on 32 bit , but on Ubuntu 9.04 AMD64 Desktop version, it compiles and installs, but will not scan for available network access points.

Regards,
Nigel.

Sweevo (mark-mark-stevenson) wrote :

Hi David

Thanks once again, following your steps to install the driver module manually works perfectly.

There is one small change to your instructions, the file is called "r8192se_pci.ko" not "rtl8192se_pci.ko".

Even after a reboot, my WLAN starts automatically each time now.

Brilliant!

By the way - I must have sent at least half a dozen emails to <email address hidden> since August requesting the driver, all of them have gone unanswered - you must have the magic touch!

Thanks and kind regards

Mark

Francisco Peña (tkd) wrote :

Hi david! Thanks again for this driver.
I compiled under ArchLinux 64bits with out any issue, after reboot the driver load perfect on my thinkpad T500.
The only issue is that my card can't see any wireless network.
My wireless scurity is: WPA2+AES and I use NetworkManager.

mrklaw (sloan) wrote :

This is awesome. I'm running the karmic beta, and was able to manually copy the kernel module over. Now I'm wondering if there is any chance that this will actually make it in to the final karmic release.

david woo (wooshwu) wrote :

Hi Sweevo,

   Thanks for you pointing out. The driver module really shall be called r8192se_pci.ko, :-)

   The emails you sent to <email address hidden> may be filtered by Realtek's email server, I used to
   contact with the Realtek's Wlan FAE, and just learned this info.

   Thanks.

David

david woo (wooshwu) wrote :

Hi All,

    Thanks for all of yours response.

    The driver has only been checked with 32bit platform here, and will check with the 64bit platform further.
    Just hope the platform issue can be made clear soon, :)

    Thanks.

David

david woo (wooshwu) wrote :

With minor update with skb tail(skb->tail => skb_tail_pointer(skb)), the attached updated driver shall also support AMD-64bit platform.

david woo (wooshwu) wrote :

HI Francisco,

   With minor update(skb->tail ==> skb_tail_pointer(skb)), the attached driver seem to both support 32bit and AMD-64bit
   platform.

   Please help to try it.

   Thanks.

David

Nigel Pallett (nigelp) wrote :

HI David,

Thank you so much for your help.

The 64Bit driver that you supplied above works perfectly on my Novatech Xplora E16 laptop containing a Realtek 8172 WiFi card.

The driver works perfectly with Network-Manager and WPA2 under Ubuntu 9.04 AMD64 version with both of the following kernels:

2.6.28-15 Generic AMD64
2.6.31-14 Generic AMD64

Thanks again for all your help.

Regards,
Nigel.

dmanges (dmanges) wrote :
Download full text (8.3 KiB)

Looks like people are having luck with this driver... except me! I have an Lenovo ThinkPad R500 with the Realtek 8172. I was referred to this thread for help. When I install the driver in Ubuntu 9.04 AMD 64 using:

sudo make
sudo make install

I get the following:

make[1]: Entering directory `/usr/src/linux-headers-2.6.28-11-generic'
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_core.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl8192se.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_eeprom.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_wx.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_cam.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_pm.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_ps.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_debug.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/rtl_ethtool.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8190_rtl8256.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_Efuse.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_phy.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_firmware.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192E_dm.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_rtl6052.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_hwimg.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_led.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/r8192S_mp.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_rx.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_softmac.o
/home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_softmac.c: In function ‘ieee80211_sta_send_associnfo’:
/home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_softmac.c:2350: warning: format ‘%d’ expects type ‘int’, but argument 3 has type ‘size_t’
/home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_softmac.c:2350: warning: format ‘%d’ expects type ‘int’, but argument 4 has type ‘size_t’
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_tx.o
  CC [M] /home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee80211_wx.o
/home/dmanges/Desktop/rtl8192se_linux_2.6.0010.1020.2009_64bit/HAL/rtl8192/../../ieee80211/ieee...

Read more...

Francisco Peña (tkd) wrote :

Hi David, I try this driver with out luck.
The same issue, the driver load perfectly, but no scan wireless networks.

ArchLinux
Linux thinkpad 2.6.31-ARCH #1 SMP PREEMPT x86_64 Intel(R) Core(TM)2 Duo CPU P8600 @ 2.40GHz GenuineIntel GNU/Linux

I try it with networkmanager, netcfg, and standar commands (iwlist wlan0 scan)

zakzor (zakzor) wrote :

Hi David,

Thanks a lot !!!

I've been using ndiswrapper with the Win2K driver on my Toshiba L500 with the Realtek 8192SE and sometimes it gave me some headaches like lost signal and also I wanted to set the wireless card to monitor mode which is not available with ndiswrapper.

$ uname -a
Linux zakzor-laptop-ubuntu 2.6.28-15-generic #52-Ubuntu SMP Wed Sep 9 10:49:34 UTC 2009 i686 GNU/Linux

You're the man,

zakzor

zakzor (zakzor) wrote :

Tested both on Network Manager and Wicd with wext as WPA Supplicant Driver.

Getting full speed with my NAS.

You should be called David Woo Woo !!! :)

zakzor

Francisco Peña (tkd) wrote :

Ohhhhhhhh yes!
Now it work! very very good!
Thank you David :)
Now I can connect to my WPA2 network. COOL!

david woo (wooshwu) wrote :

Hi dmanges,

   How about trying to install the driver module manually with the steps @ #12 ?
   And the module name shall be r8192se_pci.ko instead of rtl8192se_pci.ko.

   Wish it works. :)

   Thanks.

David

david woo (wooshwu) wrote :

Hi dmanges,

   sorry, minor update.
   How about trying to install the driver module manually with the steps @ #20 ?
                                                                                                                ~~~~~
   And the module name shall be r8192se_pci.ko instead of rtl8192se_pci.ko.

   Wish it works. :)

   Thanks.

David

fiat1100d (gratteri-email) wrote :

On amd64, with the modified driver, I no longer have kernel panic, but the interface wlan0 won't work fine, even if Wi-Fi is enabled in NetworkManager.
dmesg gives this sort of output:

[ 350.072012] ===>ieee80211_start_scan_rsl()
[ 350.084596] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 352.060132] ====================>haha:IPSEnter()
[ 352.060151] =========>NicIFDisableNIC()
[ 352.060167] PHY_SetRtl8192seRfHalt save BB/RF
[ 370.069854] =========>r8192_wx_set_scan(): IPSLeave
[ 370.070185] ===========>NicIFEnableNIC()
[ 370.077265] gen_RefreshLedState first init
[ 370.077274] =================> NIC version : C-cut
[ 370.187598] ===>rtl8192_SetWirelessMode(), wireless_mode:0x10, support_mode:0x16
[ 370.187608] <===rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 372.060133] ====================>haha:IPSEnter()
[ 372.060152] =========>NicIFDisableNIC()

continuously, it only stops if I disable the RF with the switch:

[ 523.786345] GPIOChangeRF - HW Radio OFF
[ 523.852605] rtl819xSE:==========>rtl8192_down()
[ 523.852613]
[ 523.853178] Save max pwr
[ 523.872719] rtl819xSE:<==========rtl8192_down()

david woo (wooshwu) wrote :

HI Fiat,

    It seems that there's no network available.
    please check whether there's .wireless AP around,
    or the same hardware platform used to be linked to wireless AP before?

   Thanks.

David

fiat1100d (gratteri-email) wrote :

Hi David,

seems it was a fault of mine, I was trying to connect in a place of my University where I was sure there should have been Wi-Fi access, and instead there was no AP at all! :-/

Tried at home, works just fine!

mr.goose (editor-garfnet) wrote :

@ Dmanges et al.
I was also tearing out my hair over this.

I been working on a brand new Novatech Explora that my mother is going to use. I recently installed Karmic Koala beta, in order to make the wired network work - which it now does. Shortly afterwards, Karmic was upgraded to the release candidate, earlier today. This RC has the 2.6.31-14 kernel.

And needless to say, when I tried to get the wireless network to work, the rtl8192se driver would not compile whatever I did. Grrrr!!!

So I tried a different tack. In a nutshell, instead of "sudoing" the compilation commands, I used the switch user command, thus: sudo su. Then I ran make & make install.

Whilst the compile part still threw up a couple of warnings, the install part worked perfectly and now I too have a fully working rtl8192se wireless network.

To reiterate, cd to the directory containing your extracted driver files and then do this:-

sudo su
make
make install

I'd be interested to know if this works for anyone else. And I'd be even more interested to learn WHY it works! :-)

@ David Woo: Thanks for all your efforts on this. People like you really do make the Internet a better place IMHO.

Best wishes, G.

zakzor (zakzor) wrote :

Tested again.
This time in Karmic beta.
Kernel crashed installing the driver for the first time but afterwards all went ok.
Reported new bug #457872.

$ uname -a
Linux zakzor-laptop-karmic 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

zakzor

zakzor (zakzor) wrote :

Forgot to mention in previous post that I use a Toshiba L500-13W laptop.

zakzor

DaveN (davenewsom) wrote :

Despite apparently being for a slightly different chipset, this driver enabled the RTL8191SE card in my ThinkPad R400 - or at least it detects local networks, all of which are secured (I use wired ethernet at home, and so haven't been able to test connectivity with this driver yet). This is the only solution I've found so far that shows any promise, after failed attempts at ndiswrapper. iwconfig finds it, which is a first.

david woo (wooshwu) wrote :

Hi DaveN,

    Though the driver named with Rtl8192se, it also works perfectly with rtl8191se here.

    And have a nice try~

   Thanks.

David

Hi,

I was very happy finding an obvious working driver here that should support my 64 bit system.
The installation went fine, no error messages. Dmesg tells something about the driver but nothing about detecting the device. unfortunately the interface doesn't appear, too.
By the way: It's the same message equal if the firmware is saved in /lib/firmware/rtl8192se or not.
The Kernel is a .31 but there is no difference between this version and the latest .32-rc5
The device is a rtl 8192 installed on samsung notebook with an intel core 2 duo. the kernel is compiled fitting to this cpu.

I already tried the staging driver for rtl8192E from the 32-rc5 kernel but it comes to a kernel panic if i want to bring the interface up. The developer of this staging driver told me, that this could be because I'am using a 64bit kernel. Perhaps that could help?!

There's something more: lspci tells me that it's an rtl8192, the staging driver recognises an rtl8192 E. Perhaps the rtl8192 SE driver that is offered here does NOT support my interface? But that seemes to be strange because I've read that above that it even supports 8172 for example.

Is there anybody with an idea?

Greetings from Germany
Thanks Torsten

david woo (wooshwu) wrote :

Hi Torsten,

   Would help to provide your PCI device info which `lspci -n`?
   then I need make sure the device that need to be supported
   is really rtl8192se?

   Thanks.

David

fiat1100d (gratteri-email) wrote :

Regarding #41 by mr.goose,

tried to do "make" and "make install" after "sudo su" and then the driver installs just fine here too!

Hi David,

these are the messages you probably need:

lspci

02:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8192 (rev 01)

lspci -v

02:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8192 (rev 01)
 Subsystem: Askey Computer Corp. Device 7160
 Flags: bus master, fast devsel, latency 0, IRQ 11
 I/O ports at 3000 [size=256]
 Memory at f6000000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
 Capabilities: [70] Express Legacy Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Virtual Channel <?>
 Capabilities: [160] Device Serial Number 7f-7b-a9-fe-ff-d2-24-00

lspci -n

02:00.0 0280: 10ec:8192 (rev 01)

dmesg

ieee80211_crypt: registered algorithm 'NULL'
ieee80211_crypt: registered algorithm 'TKIP'
ieee80211_crypt: registered algorithm 'CCMP'
ieee80211_crypt: registered algorithm 'WEP'

Linux kernel driver for RTL8192 based WLAN cards
Copyright (c) 2007-2008, Realsil Wlan

I hope it will help...

Thanks

Torsten

hi,

minor update to my text above:

uname -a

Linux Torsten 2.6.31-gentoo-r312okt09 #5 SMP PREEMPT Thu Oct 22 14:59:26 CEST 2009 x86_64 Intel(R) Core(TM)2 Duo CPU T6400 @ 2.00GHz GenuineIntel GNU/Linux

Francisco Peña (tkd) wrote :

@Torsten: this driver is for a realtek 8172 (rtl8192se under windows)
lspci: 03:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)
lspci -n: 03:00.0 0280: 10ec:8172 (rev 10)

Francisco Peña (tkd) wrote :

@Torsten: this driver is for rtl8172 (under windows rtl8192se)
lspci: 03:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)
lspci -n: 03:00.0 0280: 10ec:8172 (rev 10)

fiat1100d (gratteri-email) wrote :

I thought the driver was working fine on the TOSHIBA Satellite A500D-10K (RTL8191SE) because I could connect to wireless, but I didn't try to browse the Internet until today. Well, it works but after a while, the link stays up but there is no connection really, and dmesg gaves a lot of these errors:

[ 463.601498] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0
[ 463.806343] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0
[ 463.908680] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0
[ 464.011152] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0
[ 464.113189] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0
[ 464.420728] DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:0e:00.0

lspci:

0e:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)

mr.goose (editor-garfnet) wrote :

@ Fiat1100d. Sorry to hear you still have problems.

Interestingly I just looked at dmesg and it seems I'm also getting some dmesg errors - though not the same as you:-
 6123.160234] ===========rtl8192se_update_ratr_table: ff5
[ 6123.160243] ===>set to B/G mode

However, the device itself seems to be working perfectly. In fact, I just done a 300MB upgrade to my system. And I been listening to internet radio almost all day, without issue, via http://www.garfnet.org.uk/internetradio

And I'm sending this message from the very same machine.

Seems the driver is still a bit buggy though. There may also be a separate kernel problem in your case, because Googling this it seems the SW-IOMMU issue seems to be fairly common with other cards too, from kernel 2.6.15 onwards.

Which Kernel version are you using? Is it 32 or 64 bit?

Best wishes, G.

david woo (wooshwu) wrote :

@Torsten: From the PCI info, it seems what your notebook embedded is rtl8192e, not rtl8192se.
would you help to compare the two packages I attached before, and modify the skb tail pointer
accordingly((skb->tail ==> skb_tail_pointer(skb))) with rtl8192e driver package, then have a try?

Hope it to be helpful.

Thanks.

David

zakzor (zakzor) wrote :

@Torsten: David must be right.
I have a Toshiba L500-13W in which Windoez recognizes a Realtek 8192SE and in Ubuntu (both Jaunty and Karmic beta 32bit) i used the first driver he gave us and it worked and from "lspci" I got "Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)", not "8192 (rev 01)" like you.

zakzor

Hi David,

Do you mean the package you attached in #15? If I'm right this package is supposed to work an 32bit systems only?
But I want to help of course. What do I have do to? Where can I find the skb tail pointer you mentioned?
unfortunately I'm not very experienced in debugging :-(

Thanks
Torsten

fiat1100d (gratteri-email) wrote :

@ mr.goose

The kernel I am using is the latest for Karmic, 2.6.31-14 #48, AMD 64-bit.
I also have dmesg messages like your ones, I don't think they actually are errors, but debug information from the driver, telling what is the card doing.

nopil3os (nopil3os) wrote :

Great! With this driver I finally got the wi-fi on my new msi windbox dc200 (jaunty 32bit) to work. But it has apparently an awkward bug: The bitrate was at 24M, so I tried to set it to 54 with iwconfig and afterwards it was at 1M. I then made 'watch -n1 "iwconfig wlan0 | grep Bit" and saw the rate changing nearly every second. The driver seems to change the rate dynamically according to signal strength. I then moved the windbox in my room until I got it to constant 54M. BUT this was wrong. At this point the connection speed was nearly like dial-up. When I place the box so that it shows me 1M, I have full speed oO

Anakin Starkiller (sunrider) wrote :

Same problem with Toshiba L505 (L500 series) on Karmic final release (64 bits)

14:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)
 Subsystem: Realtek Semiconductor Co., Ltd. Device 8151
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 10
 Region 0: I/O ports at 5000 [size=256]
 Region 1: Memory at f2200000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

Installation with above drivers works but it's not usable...too slow and kernel panic appears sometimes...

Anakin Starkiller (sunrider) wrote :

Actually...driver installation is OK. Network-Manager and Wicd works also (connection to WPA hotspot). But after using internet, kernel panic ! Just tell me if you want more information ;)

Thanks ;)

tags: added: realtek rtl8172 rtl8192se wireless wlan
tags: added: rtl8191se
description: updated
Anakin Starkiller (sunrider) wrote :

Well, after testing 2.6.32rc5 kernel from mainline kernel ppa, there is no kernel panic anymore, but as https://bugs.launchpad.net/ubuntu/+source/linux/+bug/401126/comments/53, there is a lot of "DMA: Out of SW-IOMMU space" output messages in dmesg after a while....

hm_shurt (shur) wrote :

I have been able to keep the wireless connection up for half an hour or so of fairly heavy use, by adding the kernel parameters:

iommu=force swiotlb=524228

For more info check the following:
http://bbs.archlinux.org/viewtopic.php?pid=649614
http://lwn.net/Articles/91870 this one is a bit old, but still may be relevant.

Anakin Starkiller (sunrider) wrote :

Ok thanks I'll check this out...Thanks ;)

Anakin Starkiller (sunrider) wrote :

hm_shurt >> I used mem=4G iommu=off kernel parameters instead and now I've only have 3Gb recognized (instead of 4Gb) but most important, everything works like a charm ! No more kernel panic. Network Manager works great under Gnome, but I had to install wicd under KDE in order to connect...Thanks for the workaround ;)
You seem to have a Toshiba Laptop L510, I also have a new L505 and I've got one more thing to solve (see https://bugs.launchpad.net/ubuntu/+source/acpi/+bug/321578 and http://www.linuxquestions.org/questions/linux-laptop-and-netbook-25/fan-acpi-problems-insyde-h20-bios-toshiba-satellite-pro-l300-x-716924) a fan speed which is not regulated (only spinning at full speed), maybe you have some clues about this issue ? Thx ;)

Henri Porcher (henriporcher) wrote :

hey evryone,
i was wondering if someone could help me...
I have a medion akoya p7612 with:

Linux PC05-PORCHER 2.6.31-14-generic-pae #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009 i686 GNU/Linux

02:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)
so thats the wi-fi where this driver is for isn't it? because I think I installed 32bits driver successfully but iwconfig still doesen't return anny wlan0 interfaces:
henri@PC05-PORCHER:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

vboxnet0 no wireless extensions.

I had my card working with ndiswrapper and win2k driver but couldn't connect to my wpa2 protected network...
can someone help me?
I dit make and make install as root

Francisco Peña (tkd) wrote :

try: modprobe r8192se_pci

Henri Porcher (henriporcher) wrote :

ok i don't know why but i reinstalled ndiswrapper drivers and then uninstalled it, then i installed drivers with make make install method and modprobe r8192se_pci and after 3 times doing this it worked...
then wicd didnt want to connect to my wpa2 network so i changed wpa driver to wext and now it wroks... still wondering why but evrythings works fine :D Thanks a lot Francisco and david!!!

Henri Porcher (henriporcher) wrote :

There is just one thing that i'd like to fix... when i reboot my laptop I can't fid anny wlan0 interfaces 'till I run modprobe r9192se_pci... maybe someone has a fix? like automatically launching this command on startup?...

Francisco Peña (tkd) wrote :

what distro do you use?

theirman (theirman) wrote :

Hi, I just tried the rtl8192se_linux_2.6.0010.1012.2009_64bit.tar.gz package.

make; make install
works great. NetworkManager will recognize my card and scan the area. Once my network is found, I can enter my WPA2 key but then nothing happens. It won't connect :(

I'm using Ubuntu 9.10 amd64 .

Kanson.Kong (dekong) wrote :

cooooooool,it works great
but anybody can monitor wlan0 speed by nload or system monitor?

theirman (theirman) wrote :

I tried connecting using wpa_suppliciant to no avail.
@david woo: Could you please look at my lspci & dmesg output?
Thanks

Asem (the1asem) wrote :

Hi all

i have a lenovo thinkpad T500 with a realtk 11b\gn wireless card
i get the driver from here and compiled it but it failed to install
so i copied the modules manualy and get the wireless to work atlast
but after an undefined period of time the screen blanks and the mouse hanged there (is it a kernel panic ? because i dont see one before),
i am runnning ubuntu 9.10 64 bit, on 2.6.31.15 kernel
any help please about that?

david woo (wooshwu) wrote :

@ Theirman
  According to the log message, it seems that there's no response from AP,
would you help to link with another AP, and see whether the issue still exist?

david woo (wooshwu) wrote :

@Kanson
    would you help to apply the attached patch for nload/system monitor, it seems that the rtl8192se linux driver
   does not update the Tx/Rx status.

david woo (wooshwu) wrote :

@Henri Porcher

    Please help to check whether the driver dependence has been created with the file of
    /lib/module/`uname -r`/modules.dep,

    Otherwise copy r8192e_pci.ko to folder /lib/module/`uname -r`/kernel/drivers/net/wireless/
    and run `depmod -a`.

    Have a nice try~

theirman (theirman) wrote :

@David Woo: I finaly got it to connect when I moved a bit closer to my AP (which is odd since I got perfect reception/connection with the windows drivers). It worked for a while but after some minutes all got dropped and this line:
  DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:03:00.0
was repeatedly spammed (dmesg).
Attached is everything related to this card (debug.txt).

david woo (wooshwu) wrote :

@Theirman

   Please try the applied patch , and see whether the
   "DMA: Out of SW-IOMMU space for 9100 bytes at device 0000:03:00.0" issue still exist?

david woo (wooshwu) wrote :

attached the patched driver for convenience.

Kanson.Kong (dekong) wrote :

@david woo
hi, david, sorry for my late response.
I test the new driver, perfect~~~~~~, thank you for your work

Perico (pdlp-001) wrote :

David,

I have tested the modified driver rtl8192se_linux_2.6.0010.1113.2009.tar.gz and has run on a Toshiba Saellite L500 (64 bits witk Karmic 64 bits, fresh install) smoothly for 1 hour, therefore it should run forever.
Previously I tried the rtl8192se_linux_2.6.0010.1012.2009_64bit.tar.gz and it displayed the surrounding networks and connected to WPA but after few minutes the display of Network Manger applet lose its characters and the laptop completely frozed, being impossible to restart even with REISUB.
Great piece of work. Thanks.

Perico (pdlp-001) wrote :

David,
After two hours flawless work, the laptop (Toshiba Satellite L500, Karmic 64 bits) frozed. Previously "Network Manger applet lose its characters".
This doesn't happen with wired connection.
What information do you need to try to guess what happens?.

Perico (pdlp-001) wrote :

David,
Here is the log up to the interruption.
It is sent after rebooting and via wireless.

fiat1100d (gratteri-email) wrote :

@ David

Tried the latest patched driver and works fine on AMD64, Toshiba Satellite A500D-10K notebook (RTL8191SE), no more kernel panics or IOMMU messages, thank you very much for your help!

theirman (theirman) wrote :

I finally got around to testing the new driver and the error seems to be fixed. "Seems", because I wasn't able to test it for a long time (max 45 minutes) due to my small capacity battery. My main problem now is range. When I'm sitting at my desk using Windows I get 4 out of 5 bars strength out of my network, and NetworkManager (Ubuntu) reports so as well. The difference is that I can't connect to my network in Ubuntu, while I can do so perfectly in Windows. I've attached parts of the dmesg output that may be helpful. Thanks for the help David!

Xebec (vkleban) wrote :

David, thank you for you work, but unfortunately it is not yet helpful to me :(

Toshiba Qosmio X505-Q830 + Ubuntu 9.10 x64 with stock kernel.
Got your rtl8192se_linux_2.6.0010.1113.2009.tar.gz. make worked, but make install complained:
make[3]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'. Stop.
I have linux-source and linux-headers-generic packages installed - no help.

So I just followed your instructions in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/401126/comments/20 and the network was UP!
Unfortunately not for long - network froze, I checked dmesg and got lots of "DMA: Out of SW-IOMMU space" errors. When I tried to reconnect, my PC froze and Caps lock started blinking - kernel panic.

What am I doing wrong?

bigtail (jianlong-lee) wrote :

Hi, Xebec
You were not doing wrong!
I have the same problem. I am using Lenovo x200 the same wireless card. It still can't work under Ubuntu 9.10 x64 using the rtl8192se_linux_2.6.0010.1113.2009.tar.gz driver. And got the same problem just like you said.
But when I change to x32 it works fine using the same driver. I think I will using x32 for a while.

david woo (wooshwu) wrote :

@Perico ,

    Would you help to try the attached patch cause I do not have Toshiba Satellite L500, and see
whether the long issue still exist?

david woo (wooshwu) wrote :

@Xebec and bigtail,

    Would you help to provide your log message with dmesg?

Xebec (vkleban) wrote :

David, here is my log

Xebec (vkleban) wrote :

Sorry, forgot to include my verbal evidence.log

david woo (wooshwu) wrote :

@Xebec,
how about trying the patch I attached @#90?

Xebec (vkleban) wrote :

David, sorry missed your message to Perico.

Yep! So far so good. Thank you very much! No more IOMMU errors despite me trying hard to overload the network.

One smaller problem still stands, however. In comparison to my USB WiFi dongle I had to use in place of this Realtek chip, it has much better reception, but much worse transmission power. Would it be possible to regulate transmission power of the chip?

sudopinion (sudopinion) wrote :

Great work guys! Even after patching, I'm still getting kernel panics, but less often.
kernel is -31.15 generic (64bit)
Ubuntu karmic rls.
Thanks and keep it up!

wjw (wjw-wjwieland) wrote :

Some success.... Just purchased Toshiba A505-S6980 which seems to use this wifi chip set. Following are machine specifics:
from uname -a
Linux wjw-a505 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

Thus far I have attempted to make, make install the rtl8192se_linux_2.6.0010.1113.2009.tar.gz. I get the
'make[3]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'. Stop.' during make install.

Attempted method 2 in readme.txt which has had me going for the last 25 minutes or so @ 54Mbs ... no problem so far..

david woo (wooshwu) wrote :

@wjw

   Please try sudo su; make;make install instead of sudo make; sudo make install.

hawkeye1102 (bwonderlich) wrote :

I just wanted to report success on a AMD x86_64 system with the rtl8192se chip. Im using WEP encryption to a hidden ssid access point.
I am actually using Fedora 11 but google led me to this bug report.

It's a: TOSHIBA Satellite P505D-S8960 AMD Turion II M500(2.2GHz) 18.4" 4GB Memory
kernel is: 2.6.29.4-167.fc11.x86_64 #1 SMP

I compiled and installed the driver from post 81 above:
 rtl8192se_linux_2.6.0010.1113.2009.tar.gz

after applying the patch David Woo posted in #90:
 rtl8192se_1116.patch

The system has been stable now, I stress tested by transferring over 40GB and left the laptop running all night without issues.
Previously it would crash after less than an hour. (the system would just reboot without warning)

I do still see the following 2 lines repeat in syslog periodically, but it doesnt appear to cause any issues.

===========rtl8192se_update_ratr_table: ff5
===>set to B/G mode

A big thank you to David and everyone else who has worked on this bug/driver!!!

Perico (pdlp-001) wrote :

David,

I have patched the driver and I am sending this comment through it.
Give me a couple of days to thoroughly test the wireless connection with heavy FTP and download and I will let everybody know the results.
Normal (Not heavy) traffic worked flawlessly with the unpatched driver.
Thank you very much to everybody involved in this development.

jazzman (jazzman32) wrote :

Hey Guys,

need that patched driver too.. Urgently, plz can someone submit a patched one. Cause i dont know how to patch. I am a newbie to linux, but trying to install this driver on a medion P7612 laptop. I am running ubuntu karmic koala 64bit with that fu....ing wlan card. RTL8191 SE (this is what windows says).

Thanks in advance
jazzman

wjw (wjw-wjwieland) wrote :

David,

Re: #98

Thank you! That did the trick!

wjw

Perico (pdlp-001) wrote :

Hello everybody

I have been succesfully testing the patched driver for hours with heavy traffic on a Toshiba Satellite L500, witl karmic 64bits, kernel 2.6.31.14 .

Jazzman. As far as patching is concerned you need to install the patch package, if it is not already installed , remove the driver module (rmmod), copy the patch file into the directory of the file to be patched ad there run "patch", for instance
patch < rtl8192se_1116.patch . In this case the patch file has all the necesary instructions to modify the object file.
Afterwards reinstall the driver (I also didi it with the procedure of item 98, sudo su, make, make install). This is the way i did it and worked fine for me.

Manuel Garcia Wolff (mgwolff) wrote :

Hello David,

First of all, thanks for your work on this driver, I was almost ready to
go out and buy an USB wireless adapter.

However, I am still running into some problems when using it.
With the rtl8192se_linux_2.6.0010.1113.2009 driver I would get the
"DMA: Out of SW-IOMMU space" error.
After patching it with rtl8192se_1116 this problem seems to be gone but the
connection drops and reconnects several times a minute as you can see from the
attached log file.

I have a Toshiba Satellite A505-S6986. The wireless card is recognized by
Windows as a R8192SE and by lspci as: 03:00.0 Network controller: Realtek
Semiconductor Co., Ltd. Device 8172 (rev 10)

Let me know if you need anything else and I will happily provide it.

Thanks,

Manuel

theirman (theirman) wrote :

Yes, please fix the range and stability on this card.
I haven't used Ubuntu in ages because it refuses to connect to my network when I'm at my desk.

david woo (wooshwu) wrote :

Hi Manuel/theirman,

    Form the log message, it seems that the rtl8192se will be kicked out by the AP after being linked up.

    Would you help to provide the AP name you try to link with, or how about linking with other AP?

Thanks,
David

Manuel Garcia Wolff (mgwolff) wrote :

Hello David,

The essid is "larophel", but I have also tried with another one (both D-Link devices, though).
I have tried both, WPA2 TKIP/PSK encryption and no encryption at all.
Both yield the same result.

Regards,

Manuel

Manuel Garcia Wolff (mgwolff) wrote :

I forgot to add:I booted Windows in the meantime and now I also have a lot of these messages in the logs:

Nov 23 23:10:05 [kernel] [ 1281.442134] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
Nov 23 23:10:33 [kernel] [ 1309.440719] rtl8192_hw_sleep_down(): RF Change in progress!
Nov 23 23:10:35 [kernel] [ 1311.446024] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again

Do you think it might be related?

theirman (theirman) wrote :

Hi David

I'm trying to connect to a network with essid "Ronald" - WPA2-AES.
Also tried connecting to another network "gdhnet" - WEP 40b.
I can't connect to either of them.
Like I said before: network "Ronald" reports 4/5 strength in NetworkManager but it just won't connect here.

jazzman (jazzman32) wrote :

Hi David,

S U C C E S S.....I did everything as you described above and it worked.
1. Download the driver RTL8192se
2. Download the patch
3. Patch the file with patch -p0<rtl8192se....
4. Logged in as Root (Sudo SU did not work for me)
5. Make
6. Make Install

7. modprobe r8192se_pci (to activate the driver)

ENJOY

THANKS

jazzman (jazzman32) wrote :

Special thanks to Perico,

he is really the man.;-)
Your advice how to do a patch made my day

Yippikayeeee

Posting this through that rtl adapter

wjw (wjw-wjwieland) wrote :

The rtl8192se seems to work fairly well at this point. On my Toshiba 505-s6980, the reception is more sensitive than it is on my old m105(I don't recall the chip set on my old laptop right off).
I have had both the patched and unpatched drivers lock up the laptop on occasion. Attached are a couple of captures of the kern.log for both the patched and unpatched versions of the driver.

David, I hope the files are of some use to you. The work your doing on this is greatly appreciated! If there is anything else I that might be helpful, please do let me know.

wjw

raduv (raduv) wrote :

Hey guys, I just got a new W500 laptop with a realtek 8172 chipset and I've struggled with it for 2 days or so, and when I finally got to your 64bit driver it just worked. I had to apply the latest patch and it worked. Thank you, guys ... if you need some help developing this driver, let me know and I'll do my best ... it really helped me. Though I kind of hate the log messages :P

david woo (wooshwu) wrote :

@wjw, theirman, Manuel

    Sorry for late reply.

    The issue that the station will be kicked out by AP still could not duplicate here.

    And I will still try to do verification on it.

David

david woo (wooshwu) wrote :

@raduv,

     Thanks for your kindly response.

     I'm just wondering whether we could modify the driver to support mac80211 provided by
     Linux kernel, cause this driver is implemented by vendor with the private ieee80211 stack.

     Thanks.

David

Manuel Garcia Wolff (mgwolff) wrote :

Hi David,

I did some driver update on Windows and now the card is recognized as a RTL 8191se. This may be why your driver is not working correctly, it is not the exact same device?

Thanks again,

Manuel

LCamel (lcamel) wrote :

By following method 2 in rtl8192se_linux_2.6.0010.1012.2009.tar.gz, the card works correctly on my fresh installed Ubuntu 9.04.

After losing countless hours dealing with the issue, I have a word to say:

"DON'T FORGET TO CHECK THE ** HARDWARE SWITCH ! **"

fiat1100d (gratteri-email) wrote :

In #86 I wrote that version 1113 of the driver was working fine, well then I hadn't tested it fine: I use wireless rarely but yesterday, with heavy network traffic or light traffic for long time, I managed to get kernel panic.
So I tried the 1116 patch: AMAZING! Did some serious testing, and got the laptop connected for a day without kernel panic, without losing connectivity, and transferring huge amounts of data.

Seems to me that 1116 driver is the right way for RTL8191/8192 support on Linux.

mira (mira-mikes) wrote :

Hi,

Lenovo w500 rtl8192se_linux_2.6.0010.1113.2009.tar.gz plus 1116 patch works nicely here.
Thank you for your work.

mira

zakzor (zakzor) wrote :

Hi,

I previously said that I could run nice my Toshiba L500-13W with the rtl8192se_linux_2.6.0010.1113.2009.tar.gz driver and WPA2 but sometimes the connection failed.

I patched the driver and I'm in the 3rd day testing with full bandwidth. Getting full speed and not even one signal failure.

Thanks to David and everyone else.

zakzor

wjw (wjw-wjwieland) wrote :

hmm.. well.. the upgrade to the latest kernel broke things again.. :-) ..should not have pushed my luck I suppose..

Linux wjw-a505 2.6.31-16-generic #52-Ubuntu SMP Thu Dec 3 22:07:16 UTC 2009 x86_64 GNU/Linux

rtl8192se_linux_2.6.0010.1113.2009 + rtl8192se_1116.patch yields the following during 'make install'

wjw@wjw-a505:~/Downloads/rtl8192se_linux_2.6.0010.1113.2009_patched$ sudo make install
make[1]: Entering directory `/usr/src/linux-headers-2.6.31-16-generic'
  Building modules, stage 2.
  MODPOST 1 modules
make[1]: Leaving directory `/usr/src/linux-headers-2.6.31-16-generic'
make[1]: Entering directory `/home/wjw/Downloads/rtl8192se_linux_2.6.0010.1113.2009_patched/HAL/rtl8192'
make -C /lib/modules/2.6.31-16-generic/build M= CC=gcc modules
make[2]: Entering directory `/usr/src/linux-headers-2.6.31-16-generic'
  CHK include/linux/version.h
  CHK include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86
make[3]: *** No rule to make target `kernel/bounds.c', needed by `kernel/bounds.s'. Stop.
make[2]: *** [prepare0] Error 2
make[2]: Leaving directory `/usr/src/linux-headers-2.6.31-16-generic'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/wjw/Downloads/rtl8192se_linux_2.6.0010.1113.2009_patched/HAL/rtl8192'
make: *** [install] Error 2

wjw

theirman (theirman) wrote :

No, it still works. As mentioned a few times in this "thread" you need to use "sudo su;make install" instead of "sudo make install".

I'm still having no luck whatsoever here :(
I went a bit closer to my AP yesterday to update some applications and my X server crashed a few times.. but I think that'll be because of the Xorg update and nothing to do with the driver. I hate the combination of new hardware and linux :)

Can anyone upload the complete (patched to 1116) driver for me (x86_64)? I applied the patch and installed it but since I have connection issues with it - which noone else seems to be having - I'm starting to doubt my installation.

wjw (wjw-wjwieland) wrote :

@theirman
Thanks! That is what I get for trying thing late at night! Appreciate the reminder.
wjw

Perico (pdlp-001) wrote :

Hello everybody:
The patched driver doesn't connect to an "IEEE 802.11 N" network without encryption, although the signal strength is high as can be seen in NM applet. Driver is duly patched and works flawlessly on WPA networks.
Find enclosed the "dmesg" and "iwlist scan".
I am actually sending this comment through the mentioned network and Windows.
Any suggestion?. Could it be a config matter?

Xebec (vkleban) wrote :

Hello David,

Thank you for the Linux driver!

Unfortunately it seems that your driver sets the lowest TX power and has no controls that would allow to fix it. This makes your driver somewhat unusable for many people that have excellent connection in Windows at the same time. Would you be so kind to fix it?

theirman (theirman) wrote :

Ah, that would explain why I can view my network but not connect/transmit to it.
Please make this configurable David. That'll (hopefuly) fix everyones problem.

djarrum (geffenizlude) wrote :

David woo,

I have downloaded and installed the 64 bit driver and I can now see available wireless access points. I selected My access point and was prompted to enter my WEP key. When doing so the network icon in system tray showed a non-stop spinning icon as if it where trying to connect. While it would spin and spin and spin, I was actually connected and could go on-line and access web pages for about 1 minute, then the window reappeared asking me to again enter my WEP key.

I downloaded the 1116 patch, but I couldn't figure out how to apply it. Perhaps Instructions where here but after scrolling up and down for about an hour I couldn't find it. will this patch correct this? if so how do I apply the patch?

Wastedonanime (wastedonanime) wrote :

Hi everyone. I've been dealing with this all day and managed to get it to work completely except for one problem: everytime I reboot the computer, the wireless adapter is not on. If I go in and run "wlan0up" from the driver folder, it turns on like normal and everything's good. The only thing I can't seem to figure out is how to get it to do this on boot up.

The machine is a Toshiba A505-S6980 running Ubuntu 9.10 32-bit Kernel 2.6.31-16.

I have run the installation files from the drivers posted by David woo (post 15) first by method 2 listed in the readme.txt file which worked. Following that, I repeated the installation by the sudo su; make; make install method with no change in behavior. Once the wlan0up file is run, the wireless is flawless at 54mbps. No problems what-so-ever. If anyone has any insight as to how to modify something to get it to work on start up, that would be great.

Thanks in advance.

-wasted

Perico (pdlp-001) wrote :

Signal intensity.
I have verified that the patched driver is highly dependent on signal intensity. The problem is that nm-applet signal indication is not always true. You may think that intensity is enough but it may forbid connection or simply not transmit/receive though connected.
I think that patched driver works, and suggest that prior to stating that it doesn't, this should be physically done seeing the AP, excluding any possible intensity signal problem.
It should be pointed out that in these not enough signal intensity situations, Windows works perfectly in the same conditions with the same laptop.

theirman (theirman) wrote :

I think NM-applet isn't wrong here. Seems RX is OK, we just got to tweak TX. It's my firm believe that it'll work great for everyone once this is fixed :)

Wastedonanime (wastedonanime) wrote :

Took some time, but I figured out what needed to be done. Mind you, I don't know the short version of what needs to be actually done for this to work, but for reference here is what I did.

Laptop: Toshiba A505-S6980
OS: Ubuntu 9.10 32-bit Kernel 2.6.31-16
Wireless card included: Realtek 8191SE

1. Obtain the RTL8192SE Drivers (refer to post 15 of this thread) and extract the folder.
2. Either log in to the user "root" and open terminal or open terminal under user and enter root privileges by entering "sudo su".
3. Change directory to the downloaded folder.
4. Enter the commands for method 1 installation from the readme.txt file in the driver folder.
5. Follow the instructions for the method 2 installation from the readme.txt file in the driver folder.
6. Modify /etc/network/interfaces: "gedit /etc/network/interfaces" and add the following code:

auto wlan0
iface wlan0 inet dhcp
wpa-driver wext
wpa-conf /etc/wpa_supplicant/wpa_supplicant.conf

7. Modify /etc/modules: "gedit /etc/modules" and add the following code:

r8192e_pci

8. Reboot

When I ran method 1 first, nothing happened. When I tried method 2, after running "./wlan0up" with root privileges, the wireless adapter worked with no issue, except it would not work until the ./wlan0up command was entered. Finally, after completing steps 6 and 7 (did not try one then the other, did both) following all the prior steps, Network Manager was able to function normally with out error.

Hope this helps others.

Wastedonanime (wastedonanime) wrote :

Edit: my error. The code for step seven should read "r8192se_pci", not "r8192e_pci".

Keng-Yu Lin (lexical) on 2009-12-11
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Confirmed
david woo (wooshwu) wrote :

Hi Xebec and Theirman,

    Thanks for your info.

    Please try the attached patch for low power issue, and see whether it's ok now?

David?field.comment=Hi Xebec and Theirman,

    Thanks for your info.

    Please try the attached patch for low power issue, and see whether it's ok now?

David

david woo (wooshwu) wrote :

Hi all,

   Only for update the driver conveniently, upload the patched driver at the same time.

David

theirman (theirman) wrote :

Thanks a lot :)
I will immediately try the patch when I get home.

theirman (theirman) wrote :

@David thanks a lot! It works brilliantly now :-)
Funny how a few lines can be the difference!
I think this driver is ready for shipping.

Goffdely (goffdely) wrote :

Toshiba Satellite L500 19X - Ubuntu 9.10 (2.6.31-16-generic)
rtl8192se_linux_2.6.0010.1113.2009.tar.gz driver with 1116 patch works fine here. I'll soon try the the latest version, but I already want to thank you all for your contribution, with special thanks to David.

Xebec (vkleban) wrote :

David, thank you very much!

I've got WRT54GL with Tomato, so I see quality values (differ by a const from dBm). So I was able to compare power levels. My numbers on Windows:
TX Power Level----------Router quality level
Auto----------13-17
25%----------8-11
50%----------17-21
75%----------23-26
100%----------28-31

This is your driver:
1116----------0-11
1211----------10-13

Definitely better! The connection is much more stable now. Is it possible to set manual power settings?

Jools (estacado) wrote :

Thanks to David and everyone else who made my wlan work again.
My System: Ubuntu9.10 x64 on a Medion S5612
Greetz

ChuckT (cat3d97) wrote :

Thanks David for all your work! Used the patched driver from #134, sudo su, the readme, and the instructions in #131 to get everything working great.

Karmic 64-bit, WPA 2 on a Toshiba A505-S6980
Kernel 2.6.31-16-generic #53-Ubuntu SMP

Phil M (unmobile+ubuntu) wrote :

@david woo:
What is the license on the driver packages you've been linking? I couldn't find an over-arching one in the tarball itself. It would be nice if other people were able to package this and perhaps arrange it as a DKMS module, so that kernel upgrades don't break wireless.

Phil M (unmobile+ubuntu) wrote :

Also, could you post the 64-bit version of the latest driver? Does it just need the skb->tail patch, or is there something more?

david woo (wooshwu) wrote :

Hi Phi M,
  As you can see from the source code header and the license file within the driver package,
  this driver shall be with GPL license.

  The driver shall support both 32-bit and 64-bit platform, and the skb->tail patch
  is enough.

Perico (pdlp-001) wrote :

Signal intensity.
After several tests on different locations, I think that my comment 129 was due to signal intensity, not to the fact of being 80.211N, though nm-applet indicated good signal.
Patched driver of comment 140 has improved the signal reception, and I get good communication in places where before I could not.

zakzor (zakzor) wrote :

Don't trust the nm-applet signal indicator since it refreshes very few times.

If you want to check a signal run
# iwlist [wireless_adapter] scan
and it will show you all the routers and peers in "cells" and the signal at that certain time.

Be well everyone and keep up the good work,
zakzor

NightHorse (sheri-side) wrote :

I am still having low reception power with the #134 driver.

Am running kernel 2.6.31-16-generic on Ubuntu karmic 9.10 x64.

I have been trying under Archlinux, and it works fine with kernel 2.5.31, but have some errors saying "no rule to do with modules" with kernel 2.6.32, which of course is still under [testing].

So, just letting you guys know, we will see how it works with 2.6.32 release.

Anakin Starkiller (sunrider) wrote :

NightHorse >> same thing on my L505 laptop...reception power is very low when I'm too far from the Access Point (compared to Windows). Everything is fine when I'm closer to the AP. I'm using #134 drivers as well.

NightHorse (sheri-side) wrote :

I am right beside the AP and the signal reading between 60-70 % .. Other identical laptops on windows reading full AP power. If I am little away from AP the connection keeps going down and up. I have seen some forum post here http://ubuntuforums.org/showthread.php?t=1353863 suggesting using a txpower option to set the reception power but It did not work for me.

csc (carlos-agincor) wrote :

I must say that I am using the driver in my Toshiba Satellite A500-18Q (intel Core Duo P7450, 4GB) with Opensuse 11.1 64bits installed. Kernel 2.6.27.39-0.2-default.
First I was using the driver unpatched but with the "mem=4G iommu=off" parameters passed to the kernel on boot. No problem at all except there was no traffic registered and it could not be displayed with Ktrafficanalyzer.
Now, I have reinstalled the driver, previously patched with rtl8192se_1116.patch and rtl8192se_nload.patch and it works perfectly: no parameters to the kernel without IOMMU errors, and Ktrafficanalyzer detects and display the traffic passing trough wlan0.
Than you all, but specially Mr. Woo.

webdepp (webdepp) wrote :

2.6.0010.1211.2009 works great on a Toshiba Satellite L550D-10G with Ubuntu Karmic 64bit and linux-headers-2.6.31-16-generic. Thanks a lot, was a awesomely easy to solve problem.

carfer (cgf) wrote :

I have installed Ubuntu Karmic Koala, amd 64bit, on a Toshiba T130 having Realtek 8192SE wireless card and I am unable to make it work. I already try all above solutions. Can someone help me?

In attachment I send my syslog file.

Thanks,
Carlos Ferreira

Eike (eike2) wrote :
Download full text (5.4 KiB)

I contacted Realtek this morning and as it seems they released a newer driver. They told me to download it from:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=2&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true
I've attached it. While I run the make command I got the following warnings - should I care about?
I am new to Linux and don't know much about programming, but putting larger data types into smaller ones is not a good idea AFAIK.

root@QOSMIO:/home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009# make -j
make[1]: Betrete Verzeichnis '/usr/src/linux-headers-2.6.32-020632-generic'
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_core.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_regd.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_eeprom.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_wx.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_cam.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_pm.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_ps.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_dm.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_debug.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl_ethtool.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_dev.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_Efuse.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_phy.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_firmware.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_rtl6052.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_hwimg.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_led.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_mp.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/rtl8192s/r8192S_scan.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_rx.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_softmac.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_tx.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_wx.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_module.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtllib_softmac_wx.o
  CC [M] /home/eike/Downloads/rtl8192se_linux_2.6.0013.1204.2009/HAL/rtl8192/../../rtllib/rtl819x_HTProc.o
  CC [M] /home/eike/Do...

Read more...

Eike (eike2) wrote :

Here the bash output in a paste for better readability http://ubuntu.pastebin.com/f107ef6f9

elnone (elnone) wrote :

Hello,
trying newly downloaded driver on gentoo 2.6.32-gentoo-r1 (Lenovo X200s) from the link of Eike wrote on 2009-12-28 makes the wireless crash...
Dec 30 09:24:16 8doch7121ha38 NetworkManager: <info> Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.
Dec 30 09:24:22 8doch7121ha38 ntpdate[6551]: step time server 87.236.24.178 offset 0.000847 sec
Dec 30 09:24:24 8doch7121ha38 kernel: BUG: scheduling while atomic: rtl819xSE/0/4122/0x00000002
Dec 30 09:24:24 8doch7121ha38 kernel: Modules linked in: xt_tcpudp iptable_nat nf_nat nls_koi8_r nls_iso8859_5 nls_cp1251 nls_cp866 hdaps tp_smapi thinkpad_ec kvm_intel kvm macvlan 8021q bridge stp llc tun vboxnetadp vboxnetflt vboxdrv rndis_host pda_power cdc_ether usbnet mii cdc_acm nf_conntrack_ftp nf_conntrack_irc nf_conntrack_ipv4 nf_defrag_ipv4 xt_iprange xt_state nf_conntrack ipt_REJECT iptable_filter iptable_mangle ip_tables x_tables ndiswrapper r8192se_pci nfs auth_rpcgss nfs_acl lockd sunrpc ext2 scsi_wait_scan
Dec 30 09:24:24 8doch7121ha38 kernel: Pid: 4122, comm: rtl819xSE/0 Tainted: P 2.6.32-gentoo-r1 #1
Dec 30 09:24:24 8doch7121ha38 kernel: Call Trace:
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff81459eb2>] ? 0xffffffff81459eb2
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8102c810>] ? 0xffffffff8102c810
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8145a6fa>] ? 0xffffffff8145a6fa
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8103fe00>] ? 0xffffffff8103fe00
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff81040228>] ? 0xffffffff81040228
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffffa00cf315>] ? 0xffffffffa00cf315
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffffa00cf434>] ? 0xffffffffa00cf434
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff81047fe7>] ? 0xffffffff81047fe7
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffffa00cf3a0>] ? 0xffffffffa00cf3a0
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8104c0c0>] ? 0xffffffff8104c0c0
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff81047e70>] ? 0xffffffff81047e70
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff81047e70>] ? 0xffffffff81047e70
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8104bdee>] ? 0xffffffff8104bdee
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8100cc0a>] ? 0xffffffff8100cc0a
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8104bd60>] ? 0xffffffff8104bd60
Dec 30 09:24:24 8doch7121ha38 kernel: [<ffffffff8100cc00>] ? 0xffffffff8100cc00
Dec 30 09:24:38 8doch7121ha38 kernel: rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
Dec 30 09:24:40 8doch7121ha38 kernel: ==========>received disassoc/deauth(c0) frame, reason code:1
Dec 30 09:24:40 8doch7121ha38 kernel: notify_wx_assoc_event(): Tell user space disconnected
Dec 30 09:24:40 8doch7121ha38 kernel: ===========>RemovePeerTS,00:18:f3:90:da:e1
Dec 30 09:24:40 8doch7121ha38 kernel: ====>remove Tx_TS_admin_list
Dec 30 09:24:40 8doch7121ha38 NetworkManager: <info> (wlan0): supplicant connection state: completed -> disconnected

lzming (lzming19820501) wrote :

Dear elnone :

Can you tell me how this bug comes?

Thank you!

elnone (elnone) wrote :

Dear lzming, it is difficult to answer how but I'd try to describe...
I try the driver downloaded as mentioned earlier, unpacked, make install. I have a AP configured with WPA encryntion, all connections are done via networkmanager. The notebook is lenovo 7466-9QG with 4Gb of RAM(Memory modules are checked with memtest+). BIOS is also updated. Before BIOS update, I could not even run memtest+ or wireless at all as the notebook reloaded by itself.
Using rtl8192se_linux_2.6.0010.1020.2009_64bit with rtl8192se_IOMMU.patch with 2Gb of RAM - no problem at all, but with 4Gb - the situation alike post 88 from Xebec wrote on 2009-11-15. I found somewhere to put to kernel mem=4 iommu=off, cut 1Gb of RAM and then it works... I could play Quake III arena on net more then 10min...
system is Linux 8doch7121ha38 2.6.32-gentoo-r1 #1 PREEMPT Wed Dec 30 22:44:37 MSK 2009 x86_64 Intel(R) Core(TM)2 Solo CPU U3500 @ 1.40GHz GenuineIntel GNU/Linux
Could you please, suggest me what info should I provide to help?

ThanX

Øsse (oystwa) wrote :

I have a Clevo W760 with RTL8191SE (as reported by Windows 7).

When installing the newest driver () I can detect networks with reasonable reception power. But I can never connect to them, not even unencrypted networks. For encrypted networks I only get the password dialog over and over again (looong time intervals inbetween) and for unencrypted networks it tries to connect for several minutes and the finally gives up.

If I use the 8192 Win2k driver with ndiswrapper I can connect to networks. But for my own home network using WPA I can't use the regular password, I have to copy the full encryption key from the wifi security settings in the network manager from another computer (which was logged on via the regular password) and use that as the password.

Also, it seems that this wireless card makes my computer unable to boot any 64-bit Linuxes, however Windows 7 works fine.

I seem to have 'fixed' the problem on my Asus 1201n (8192SE, PCI-id: 1a3b:1107) by removing all '-DENABLE_LPS' references from all Makefiles. I do think I have around zero powersave now as the battery seems to get drained rather quickly... Is there any more info I can supply to 'david woo', to be able to search for the problem/solution? I am using the 'default' 0013-1204 driver btw, so without the last patch (- switch(priv->rf_type),+ switch(priv->rf_chip)), as with that patch applied the card stops supplying usefull debug output that I can 'hack' the driver with ;).

Eike (eike2) wrote :

Kippenijzer: What command have you executed to see the PCI-ID? "lspci -vvv -n"?

This shows me:

0a:00.0 0280: 10ec:8172 (rev 10)
 Subsystem: 10ec:8181
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 5
 Region 0: I/O ports at 4000 [size=256]
 Region 1: Memory at f0600000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

So IF Subsystem equals the PCI-ID... why do I have other values than you?

Here is "lspci -vvv":

0a:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)
 Subsystem: Realtek Semiconductor Co., Ltd. Device 8181
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 5
 Region 0: I/O ports at 4000 [size=256]
 Region 1: Memory at f0600000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

Eike (eike2) wrote :

PS: I should mention that I have actually disabled the card with the hardware switch because I am using an USB stick until there is a driver available without kernel panics.

javatechs (javatechs) wrote :
Download full text (7.5 KiB)

I have a similar problem as carfer in post 152. I've been troubleshooting it for some time and even contacted realtek support to no avail. After several drivers from them and several loads of Ubuntu, they said "it's your environment". So I reloaded windows 7 on my 64bit Toshiba Satellite p505-s8980 and it my realtek 8191SE driver works absolutely beautifully. I would hate for my solution to have to be "go with windows because it works", so I once again got the lateset drivers, latest patches etc and loaded 64-bit Karmic. Same problem.

The driver installs fine, but as soon as the driver is loaded my messages, kernel.log and others are constantly flooded with messages like the following:

Jan 3 08:47:08 Ahwahnee kernel: [31353.698348] wait for BIT6 return value 38
Jan 3 08:47:08 Ahwahnee kernel: [31353.698360] wait for BIT6 return value 38
Jan 3 08:47:08 Ahwahnee kernel: [31353.698373] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.696563] GPIO 04h BIT6=30
Jan 3 08:47:10 Ahwahnee kernel: [31355.697099] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697112] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697125] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697137] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697150] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697163] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697175] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697188] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697200] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697213] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697226] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697238] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697251] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697263] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697276] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697288] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697301] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697314] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697326] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697339] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697351] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697364] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697376] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697389] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697402] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697414] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697427] wait for BIT6 return value 38
Jan 3 08:47:10 Ahwahnee kernel: [31355.697439] wait for BIT6 return value 38
Jan 3 08:47:10...

Read more...

@Eilke: yes, it's just the Subsystem info, as far as I can remember that should state brand + model effectively. I should add I run a default 64bit Ubuntu Karmic 9.10 install with network-manager in use. All AP's I've used so far work perfectly with the LPS part disabled. If others want to try and don't mind the increased battery usage, I'll happily supply the patch, tho I'ld rather have David Woo supply some patch of course ;).

Eike (eike2) wrote :

@Kippenijzer: I can wait until David Woo writes a patch. Actually I am also running a fresh install of 9.10 64bit.
I tried the unpatched original driver from Realtek I attached in #153 on the ppa-mainline kernel v2.6.32 (because of comment #62) but I crashed with a kernel panic after some time.
I can not be hundred percen sure that only the internal WLAN causes the kernel panic but if I am not using the internal WLAN everything runs smoothly. So I think it is the WLAN, but maybe it also conflicts with other internal components on my Toshiba Qosmio X500-10V.
As I am on Linux only since two weeks this thread is nearly the only hope I have xD

lzming (lzming19820501) wrote :

Dear elnone:

    If it means on x86_64 Intel(R) Core(TM)2 Solo CPU U3500 @ 1.40GHz GenuineIntel GNU/Linux,

       when you use 4Gb RAM, the crash problem on #155 will come?

An update: I have never experienced Kernel panics with my setup, but that might be due to only 2GB RAM installed. Since removing -DENABLE_LPS from Makefiles the Wifi works fine for a long time, that is, until either a wifi-disconnect for whatever other reason (ap reset, too low signel e.a.) or until de DHPC lease tries to reconfigure. It seems as if there are some states or something that aren't correctly cleaned or reset after they are not necessary anymore. Tho I can't really say I mind the incidental reboot that fies it (or manually disabling wifi, unloading and reloading the module) now that I can safely work for around 2 hours now, in stead of a random period of time before the 'patch'.

javatechs (javatechs) wrote :

Any thoughts for post #162? I'm pretty desperate here - I can't live with no networking on this brand new laptop indefinitely and it's beginning to look like I'm destined for Windows or a return of the laptop - neither of which is desirable to me. I would even welcome a conjecture on what the errors even mean at this point as messages like: Wait for BIT6 Return value 38 are cryptic at best and meaningless at worst. What would cause such a message? Is there some table that demystifies what BIT6 is and what it's return value should be? Why is it that my wlan device number increments?

I replaced my card with a broadcom card and all is well.

Maybe someday I will be able to use the realtek card when they sort this
out.

On 01/05/2010 07:52 PM, javatechs wrote:
> Any thoughts for post #162? I'm pretty desperate here - I can't live
> with no networking on this brand new laptop indefinitely and it's
> beginning to look like I'm destined for Windows or a return of the
> laptop - neither of which is desirable to me. I would even welcome a
> conjecture on what the errors even mean at this point as messages like:
> Wait for BIT6 Return value 38 are cryptic at best and meaningless at
> worst. What would cause such a message? Is there some table that
> demystifies what BIT6 is and what it's return value should be? Why is
> it that my wlan device number increments?
>
>

lzming (lzming19820501) wrote :

Dear javatechs:

      did you use latest driver of reatek, there is no "wait for BIT6 return value " in driver. which version you have used?

      could you try rtl8192se_linux_2.6.0013.1204.2009.tar.gz of #153?

Thank you!

lzming (lzming19820501) wrote :

Dear javatechs & NoMS:

      I think on your plateform some delay maybe not enough, so can you try this patch for rtl8192se_linux_2.6.0013.1204.2009.tar.gz of #153?

      And you can give me more information from /var/log/message.

      Thank you!!

For me neither 32-bit nor 64-bit Linux rtl8192se driver performed well at all in Mint 8. Connection keeps being dropped all the time and I am not even farther than 7-10 yards away from AP. To sum it up, its a crappy driver, much more inferior to the Windows counterpart. All I can hope for is that Realtek addresses this in the future. Until that happens I will stick with Win7.

Just to add my 2 cents, for all those encountering "error 2" while installing the driver, you need to do this:

unzip the driver in the desired directory (desktop for me)
cd ~/directory where the driver is
sudo -s make
sudo -s make install

That's it. Just restart the computer.

javatechs (javatechs) wrote :

lzming - thanks for this! I had tried that driver with no success. I have used your patch - I ran into some issues with applying it and it constantly asking me which files to patch. More on that in a moment. I am getting better results, although not there yet.

First - the wait for BIT6 return value 38 still comes into my /var/log/messages but it's not a spamfest anymore - it looks like it's cycling about once a minute. The wlan device still increments when I run the wlan0down/up commands and on reboot. Also when I reboot, the return value is 3f not 38 until I do the wlan0down/up command when it goes to 38.

Let me put some context around the log I'm attaching now. Here's the steps I took and what I saw:

ATTEMPT 1 of Patch:
- I had already done an rmmod on the previously installed driver which was of the version you list above.
- I then tried to apply the patch. I had a lot of trouble with it as it kept wanting to know what file to patch no matter where I put the patch file, so I ultimately ran it and gave it the relative path of the files it was looking for (which was the same as what was in the patch file to begin with). When I did this, it prompted me for reverting previous patches. At first I took the default "n" - this let me patch the first file but the second one bombed. I think said "n" for the first file and chose to "apply anyway" and "y" for the second file which went through with no further issue
- reboot and saw "wait for BIT6 return value 3f" as you can see in the logs.
- I then ran wlan0down/wlan0up and that changed to "wait for BIT6 return value 38". I noticed network manager was working much better as well at this point, but still no connection. I tried configuring a connection to my wpa enabled wifi device and it never connected.
- I tried `iwlist scan` command and wlan18 gave me "no scan results" but at least it tried (first time it had done this).
- I tried the runwpa script and got several "CTRL-EVENT-SCAN-RESULTS" messages before breaking out of it and for each attempt a cycle of "wait for BIT6 return value 38" messages.

ATTEMPT 2 of Patch:
- I did an rmmod on r8192se_pci
- I did a make uninstall on the installed patch and removed the entire directory
- Unpacked the rtl8192se_linux_2.6.0013.1204.2009.tar.gz file freshly again
- I then tried to apply the patch. Again specified path to first file, when prompted about reverting previous patches I said "y" for it and second file both which went through with no further issue.
- reboot and saw "wait for BIT6 return value 3f" as you can see in the logs.
- I then ran wlan0down/wlan0up and that changed to "wait for BIT6 return value 38". I noticed network manager was working much better as well at this point, but still no connection. I tried configuring a connection to my wpa enabled wifi device and it never connected.
- I tried `iwlist scan` command and wlan21 gave me "no scan results"
- I tried the runwpa script and got several "CTRL-EVENT-SCAN-RESULTS" messages before breaking out of it and for each attempt a cycle of "wait for BIT6 return value 38" messages.

Attached is the /var/log/messages for all events today.

lzming (lzming19820501) wrote :

Dear javatechs :

I think there is something wrong with your card initialization , So could you excute as these and give me the dmesg:

1. cd rtl8192se_linux_2.6.0013.1204.2009

2. vim HAL/rtl8192/rtl_core.c and modify rt_global_debug_component as this:

       u32 rt_global_debug_component = COMP_INIT |\
                                COMP_ERR ;

3. make install

4. ./wlan0down

5. ./wlan0up

6. dmesg -c

thank you very much!

elnone (elnone) wrote :

Dear lzming,

For several days I am using rtl8192se_linux_2.6.0010.1211.2009 (downloaded above) on 2.6.32-gentoo-r1 kernel and it seems working (including heavy traffic, suspends, hibernates) and without any tricky parameters to kernel (like mem=4 iommu=off).
In dmesg there are only messages some kind of

LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
===========rtl8192se_update_ratr_table: ff5
===>set to B/G mode
rtl8192_hw_sleep_down(): RF Change in progress!
rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
rtl8192_hw_sleep_down(): RF Change in progress!

Regading #165, the crash was when with 4G and I did not try running rtl8192se_linux_2.6.0013.1204.2009 with 2G of RAM.

javatechs (javatechs) wrote :

Hi lzming - I have done as you asked. I had to use gedit though as I don't have vim and I'm not very proficient with vi. All commands I executed and the output of them is attached in output.txt

lzming (lzming19820501) wrote :

Dear javatechs:

      All I guess are right, there are lots of errors when NIC init like:

[79018.898322] rtl819xSE:Driver probe completed1
[79018.898323]
[79018.898585] rtl819xSE:AutoLoad Fail reported from CR9346!!
[79018.898587]
[79018.898590] rtl819xSE:====> rtl8192se_config_hw_for_load_fail
[79018.898591]
[79018.908598] rtl819xSE:All TxPwr = 0x1010
[79018.908599]
[79018.908602] rtl819xSE:TxPowerDiff = 0x3
[79018.908603]
[79018.908606] rtl819xSE:EEPROM Customer ID: 0x 0
[79018.908608]
[79018.908610] rtl819xSE:BoardType = 0x2
[79018.908611]
[79018.908614] rtl819xSE:<==== rtl8192se_config_hw_for_load_fail

And firmware download failed also:

[79018.964053] rtl819xSE 0000:08:00.0: firmware: requesting RTL8192SE/rtl8192sfw.bin
[79018.973512] rtl819xSE:FW_STATUS_LOAD_IMEM FAIL CPU, Status=0
[79018.973514]
[79018.978792] rtl819xSE:FW_STATUS_LOAD_EMEM FAIL CPU, Status=0
[79018.978793]
[79018.984024] rtl819xSE:Polling DMEM code done fail ! CPUStatus(0x0)

So, NIC can not work normally.

These my related with your platform, Or because your computer platform is diffrent with other computers but realtek have not tested RTL8192SE on your platform with linux driver.
So, may be you can report your platform and your WLAN bug to realtek FAE.

Thank you!!

javatechs (javatechs) wrote :

ok lzming, Thanks for your help! For now I'll go to windows and monitor that driver page to see if they post a new one sometime that will support my platform.

Perico (pdlp-001) wrote :

Signal intensity on Toshiba L500-19X, x86_64 GNU/Linux
After updating kernel to 2.6.31-17 and installing the last version of Realtek driver ( rtl8192se_linux_2.6.0013.1204.2009 ) I still think that most problems depicted in this thread come from intensity signal.
If you are some 15m away in a different room it is impossible to associate to an AP, irrespective of the encryption system. Open AP are not even associated under those conditions. Laptop has to be very close to AP or physically "see" it.
The same laptop under Windows associates without any problem.
txpower option gives the following error:
Error for wireless request "Set Tx Power" (8B26) :
    SET failed on device wlan0 ; Operation not supported.
Once AP association is done, everything works fine.

whipster (adamwhippy) wrote :

Got driver working consistently with rtl8192se_linux_2.6.0013.1204.2009 on my Asus 1201n (8192SE, PCI-id: 1a3b:1107) and following Kippenijzer's suggestion to remove all '-DENABLE_LPS' references from Makefiles. Prior to that, packet loss was pretty bad. Had to do apt-get install build-essential in order to get the necessaries to make on the current Jolicloud pre-beta distro.

whipster (adamwhippy) wrote :

for jolicloud users: asides from build-essential, you'll need to apt-get kernel headers for jolicloud's kernel, do this by adding the jolicloud test repository or they won't be available to you.

christian (c-pfarher) wrote :

Hi David
Hi, I have a Toshiba A505-S6983 with Ubuntu 9.10 64 with kernel 2.6.31-17-generic. I use the driver in #134 and it's work correctly! without any crashes. But when I watch de properties in the networked gesture of gnome, I saw the speed is 1 Mb/s and it's change constantly. It's an error?
Another question is if this driver support protocol 802.11n whose max speed is 270 mbps.
Thanks so much David!

Had the same issue, Wastedonanime's guide at #131 seems to have it working. I'm going to work on this for a bit to make sure that it doesn't crash the computer again (I had previously had problems connecting and with Kernel Panic when trying to use internet for extended periods)

luv2hack (smeisner) wrote :

I too have been having issues getting this card to stay connected with AP for more than 5 minutes without signal fading on my x86_64 linux installation on my Toshiba U505. I emailed tech support two days ago and received a reply today. They emailed me revision 0014 of the driver. I compiled it straight without any modifications and I am running strong. Seems they have fixed it up (for my setup anyway). I did have good results with using 0013 with applied patches and the removal of -DENABLE_LPS from Makefiles, but am staying with 0014 for now. I have not checked to see if 0014 is posted on their download server. If it isn't and/or their is desire for me to post it here, let me know.

Finally my laptop is surfing with Linux!! Now wouldn't it be nice for a MAC OS X driver to surface :)

luv2hack (smeisner) wrote :

Sorry, need to check grammar better: their --> there

CarpeNox (tiagosbatista) wrote :

Please do post the 014 version, it is nowhere to be found on the realtek site.

luv2hack (smeisner) wrote :

Even if it gets placed there, the FTP server is down quite often I've found. Here it is for all to enjoy.

Eike (eike2) wrote :

Short update from my end: I have installed the latest driver version 13 and removed -DENABLE_LPS from the makefile. After that WLAN was working for around 6 hours and then I got the well known kernel panic.

carfer (cgf) wrote :

The only way to solve this problem was to install Ubuntu Lucid Lynx alpha 2 on my Toshiba T130, having a a realtek 8192se . Despite being an Alpha version, it is stable and the wireless network works perfectly!
One month ago I put the wireless network card working nice on alpha 2 but the system was unsatable.

The only issue I have, is when I try to connect to a open, non secure, neighborhood network. I can only connect to secure networks...

It seems that Ubuntu team has the solution and there is no need to wait for the never ready realtek driver...

carfer (cgf) wrote :

One month ago I put the wireless network card working nice on alpha 2 but the system was unsatable.
-->
One month ago I put the wireless network card working nice on alpha 1 but the system was unstable.

Can some help me on connecting to a open network?

STaRMaN (jarizaro) wrote :

My system was unstable with versions:
rtl8192se_linux_2.6.0010.1211.2009
rtl8192se_linux_2.6.0013.1204.2009
I was having unexcepted crashes, with caps lock blinding, and SysReq only dump gargabe in log file.

I was not sure if the problem was with wireless until 2 days ago, when i uninstall the driver.
Now system is stable using cable conection.

I'm going to try now Realtek RTL9192SE Linux Driver Rev 0014 (thanks luv2hack)

My system is a:
PORTATIL TOSHIBA SATELLITE A500-18Q CORE2DUO P7450
with karmic 64 bits (2.6.31-17-generic). I was having hangs with older version of kernel too.

STaRMaN (jarizaro) wrote :

Bad news for me. Driver rtl8192se_linux_2.6.0014.0115.2010.tar.gz continues hanging my system randomly. :/

Ned Forrester (nforrester) wrote :

For what it's worth:

I installed rtl8192se_linux_2.6.0014.0115.2010.tar.gz on a Lenovo W500
with a RealTek8192se (as reported by Win7), running Fedora 12 (sorry
not Ubuntu). It worked flawlessly with no modification, and
integrates fine with (Gnome?) Network Manager.

My thanks to those who have supplied this driver. I was not having
much luck with ndiswrapper.

Perico (pdlp-001) wrote :

Good news

Version 14 of driver works flawlessly on Toshiba Satellie L500 19x with Ubuntu karmic 64 bits.
Distance to AP problems of my post nr. 178 seem to be solved.

Thanks to everybody

starman. Our laptops are very similar. In my case, driver stopped freezing mine after applying David Woo's November patches. The remaining AP distance problem is solved in the last version 14. No more relevant dmesg messages concerning the driver. Hope this helps.

luv2hack (smeisner) wrote :

STaRMaN, Try removal of -DENABLE_LPS from Makefiles. This greatly improved my stability when applied to version 0013. Maybe it will help with 0014 as well. NOTE: do a "make clean" before modifying the (2) Makefiles.

Cyber-Ice (cyberice) wrote :

Hi all,

The drivers works perfectly only if i'm staying connected with the power, if i'm running on battery the drivers doesn't hang the system but loosing its connection. I Takes about 5 minute to drop, can you try from yoursides if it is doing the same? ( by the way nothing is blocking the wireless network on the configurations neither the BIOS). Unfortunately, i can't get any sort of output that can be usefull.
Laptop : Toshiba L500D
Dist: Ubuntu 9.10 64bit
Kernel : 2.6.31-17-generic
Driver version : rtl8192se_linux_2.6.0014.0115.2010

STaRMaN (jarizaro) wrote :

Hi Cyber-Ice, i followed the advices from Luv2Hack and perico. And this afternoon my computer is working ok (up 7h:15min) without hangs. :) (with massive working, firefox, ktorrent, etc...) Thanks to both, and another people.

Download the last versión...rtl8192se_linux_2.6.0014.0115.2010, and...
edit
./HAL/rtl8192/Makefile
remove al lines with "-DENABLE_LPS"

do a:
make clean
sudo -s
make
make install

for me it's working now ok. (agh, i've bought an external wifi yesterday... XD)

Thanks people.

STaRMaN (jarizaro) wrote :

Definitely working removing -DENABLE_LPS lines from ./HAL/rtl8192/Makefile. no more hangs. Great! :) Thanks again.

kcbanner (kcbanner) wrote :

Removing those lines works for me as well, on a EeePC 1201. However, I experience periodic connection dropping, and have to remove and insert the driver to reset this. I will investigate on more networks to make sure it is not specific to this network.

Andrea Calabrò (mastropino) wrote :

Removing those lines works for me as well, on a EeePC 1201N, but I still get some errors from dmesg:

[ 69.681676] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 109.679180] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 169.679203] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 249.681618] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 299.973822] ========>too long to sleep:17, fffffffd, 3e8
[ 309.140055] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
[ 349.679421] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 407.130354] MgntActSet_RF_State(): RF Change in progress! Wait to set..StateToSet(0).
[ 469.679558] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 589.680022] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData

But I'm surfing the web now!

kcbanner (kcbanner) wrote :

I too am getting this message, following it all network activity fails. I need to remove and modprobe the driver to get it back.

LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData

I'm also getting this, not sure what it is about:

DHCP pkt src port:68, dest port:67!!
DHCP pkt src port:68, dest port:67!!

Note, this is on battery currently. I will report more when I am on AC adapter.

-Casey

Cyber-Ice (cyberice) wrote :

Hi all,

Try I've remove the LPS options from the makefile. Instead of just the network that is going down its the whole thing. Kernel panic each time. What is weird is that its not only with the LPS option on or off, I've manage to reproduce it 4 times in a row.
If im downloading for about 10 minutes its a kernel panic for sure and just before that its network down. For now, im going back to the version 2.6.0013.1204.2009 which not working on battery but still up all the time on ac.

I'm getting some strange tryouts from the driver just before the crash ( the only output left though):

[ 159.811941] ====>rx ADDBARSP from :00:1c:f0:b9:73:e5
[ 167.561443] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 169.006100] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 217.530202] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 218.976523] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 307.530004] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 308.975100] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 397.530017] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 398.979776] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 527.540008] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 528.985984] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 637.528497] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 638.974558] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 777.590024] -------------->rtl8192se_before_hw_scan():before scan force BW to 20M:3, 1
[ 778.994686] -------------->rtl8192se_after_hw_scan():after scan back BW to 40M:3, 1
[ 794.544247] ====>rx ADDBAREQ from :00:1c:f0:b9:73:e5
[ 794.544254] rtllib_FlushRxTsPendingPkts()
[ 794.544261] ====>to send ADDBARSP

Elja (b2783779) wrote :

I'm using the latest driver and I removed the "-DENABLE_LPS" lines. But I can't connect to the AP, i'm not able to get an IP. I think the interesting fact with dmesg is this:
DHCP pkt src port:68, dest port:67!!

kcbanner (kcbanner) wrote :

After removing the -DENABLE_LPS lines correctly ( hadn't removed it from the *se section before), my driver works correctly. I am able to connect, with WPA, and get very decent speeds (both AC and battery).

EeePC 1201, r8192se_pci driver.

Andrea Calabrò (mastropino) wrote :

It works but there is a kernel panic often.

[ 1005.147106] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
[ 1005.147117] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData

well, the rtl8192se_linux_2.6.0014.0115.2010 driver works perfectly for about a week. i just dont know how to start wlan without console.

nfm (kamilkss) wrote :

After everything, WPA2 Personal/Enterprise still DOESN'T WORK(TM), WTF! WEP appears to be working though. This is what you get with crappy open source realtek drivers :(.

Cyber-Ice (cyberice) wrote :

Hello Nfm!

Well from myside the driver works fine only if i'm with AC power. And still, i'm using WPA2/AES. Do you any outputs that you can share with us instead of just saying that its Crappy? Because it doesnt help at all to find a solution !

Thanks

;)

Maurice (msmiley) wrote :

Success!

Toshiba Satellite T135-S1309 w/8192se

1) Downloaded 8191_8192_SE_WindowsDriver_1085.23.1230.2009.zip
2) Installed ndiswrapper:
> sudo apt-get install ndiswrapper-utils-1.9

3) Installed WinXP driver:
> sudo ndiswrapper -i ~/Desktop/WinXP/net8192se.inf

4) Configured the ndiswrapper module
> sudo ndiswrapper -m

5) Load the ndiswrapper driver
> sudo modeprobe ndiswrapper

Works like a charm. Signal strength is not as good as it is in Windows 7, but I'll take it for now. At least I can use the wireless now.

Cyber-Ice (cyberice) wrote :

You forgot to mention on wich platform and distribution? I think that ndiswrapper over ubuntu 9.10 64bit stil buggy?

archo (archietech) wrote :

The realtek winXp64 driver links some Win API calls that aren't supported by ndiswrapper, so it doesn't currently work if you are running x86_64.

The attachment from luv2hack (in comment #186) is working better than any other for me so far.

I still had some disconnect/reconnect problems but that went away when I tweaked my dlink draft-n router config to use 20Mhz instead of 20/40Mhz.

I still have trouble with the sleep/wakeup (rtl8192_hw_wakeup()), but I went through luv2hacks attachment and deleted all the -DENABLE_LPS from the Makefiles (as was suggested earlier) and so far so good.

Eyyynt (elihgdhdqad2) wrote :

The driver works with open networks, but if I want to connect to an encrypted one (WPA2/AES) I can't get a valid IP.

James Babiak (jfbabiak) wrote :

Just purchased an Asus 1201N and installed Ubuntu 9.10 amd64 on it. I too have been running into non-stop problems getting wireless working. First I tried the ndiswrapper driver, but as it's 32bit and my OS is 64, it wouldn't load. I found this thread and tried all the various modules and patches, but still had issues. The same everyone else had. Never had the system crash, but I did have issues not getting it to boot up, taking a long time, finally getting it working but it would only stay connected for about 10 seconds to 10 minutes. On occasion I could stay connected longer, but couldn't disconnect and reconnect to the same or a different AP without unloading and reloading the module. This morning I tried the rtl8192se_linux_2.6.0014.0115.2010 version, but first making the DENABLE_LPS changes. That resulted in even more problems. I was about to give up and replace the wlan card, but figured I would give it one more try.

So, I uninstalled everything, and recompiled the rtl8192se_linux_2.6.0014.0115.2010 module WITHOUT MAKING ANY CHANGES.
sudo -s
make
make install
modprobe r8192se_pci

Viola.

No more disconnects, no more weird kernel messages, no more problems period. I've even shut off the wireless via the keyboard and network manager, re-enabled it, and immediately connected. Tested on open, WPA and WEP networks. Can even transission between them perfectly.

I think we've finally found a viable solution.

So if you have an Asus 1201N running Ubuntu (especially the 64bit 9.10 version), I highly suggest you try this method.

If I run into any further issues, I'll let you know. But it looks like smooth sailing.

elnone (elnone) wrote :

Dear lzming,

sorry for the late answer, I was on a business trip almost the whole month. I use rtl8192se_linux_2.6.0013.1204.2009 and see no problem with mem of 4G. But I get kernel panic when I do connection sharing with NetworkManager, when one tries to connect to my laptop. Should I try the latest driver? 14

I've got a Zonet ZEW2546 USB device, which has a Realtek RTL8191S chip (as indicated by lsusb -v under the iProduct attribute). Correct me if I'm wrong, but I believe this chip is supported by the rtl8192se driver that is being discussed here. When I insert my USB device, the r8192s_usb module gets loaded, it appears in ifconfig -a, but the network interface doesn't come up.

I've compiled and installed the rtl8192se_linux_2.6.0014.0115.2010.tar.gz driver and firmware that comes with it, and I'm getting some really strange output in my dmesg.

[ 3566.183389] rtl8192SU_query_rxdesc_status: Receive ICV error!!!!!!!!!!!!!!!!!!!!!!
[ 3566.208746] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.209871] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.239745] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.240476] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.240490] rtl8192SU_query_rxdesc_status: Receive CRC error!!!!!!!!!!!!!!!!!!!!!!
[ 3566.365124] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.368119] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.428614] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff
[ 3566.470125] nommu_map_single: overflow 780000000020+9100 of device mask ffffffff

I'm attaching my lsmod, lsusb, lspci, and dmesg.

CarpeNox (tiagosbatista) wrote :

Carlton,

If I am not mistaken, that is not the same version, the chip in your card should be the RTL8191SU, an USB version of the chip we have that is RTL8191SE (the pcie version). I believe there are two in kernel modules for that chip, one on the main kernel bench that is ate the time incomplete but follows the kernel coding rules, and another one on the staging area that is quite a mess when you look at the code but seems to work... By the naming of the module, I think you are using the staging driver.

Back on topic, I have been using the 14 version of the driver from realtek with no problems on my 32 bit gentoo system with kernel 2.6.33-rc5, but looking at the code, my eyes almost popped out of their sockets, if the SU version driver looks anything close to that, the chances of inclusion on the mainstream kernel are quite slim!

joe (jflasch) wrote :
Download full text (3.8 KiB)

Toshiba Satellite T135D AMD 64 bit.

tried versions :
rtl8192se_linux_2.6.0010.1211.2009
rtl8192se_linux_2.6.0013.1204.2009
and the wireless would not stay up with any load on it, plus the IOMM messages and it would disable it's self.

Just tried rtl8192se_linux_2.6.0014.0115.2010 and it worked much better for about 20 Min. then kernel trap.

Here are some logs:

Feb 3 19:50:19 Light-Foot kernel: rtl8192_hw_sleep_down(): RF Change in progress!
Feb 3 19:50:23 Light-Foot kernel: rtl8192_hw_sleep_down(): RF Change in progress!
Feb 3 19:50:35 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:36 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:37 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:38 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:39 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:40 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:40 Light-Foot kernel: ===>tx queue is not empty:1, 63
Feb 3 19:50:40 Light-Foot kernel: ===>tx queue is no...

Read more...

James Babiak (jfbabiak) wrote :

Unfortunately I must retract my earlier comment about the 0014 version working perfectly on the Asus 1201n. Turns out it does run fine on A/C, but when I switched to battery power the problems resurfaced. After wasting another couple more hours troubleshooting it, I've given up. Just finished cracking it open and swapping out WLAN cards. Moved over to a Broadcom one that has much better Linux support. After about 15 minutes of messing with the module, I got it up and running without any issues.

Maurice (msmiley) wrote :

To clarify, for post #208, I am running:

Toshiba Satellite T135-S1309 w/rtl8192se
Ubuntu 9.10 desktop x86 with all of the latest updates as of this writing.
Linux toshiba 2.6.31-19-generic #56-Ubuntu SMP Thu Jan 28 01:26:53 UTC 2010 i686 GNU/Linux

However, having nothing to lose, I did a fresh install last night and decided to try the latest rtl8192se_linux_2.6.0014.0115.2010.tar.gz and NOT ndiswrapper.

To gain immediate WiFi access, I used my USB Netgear WN111v2 (works out of the box) which was configured as wlan0.

Subsequently I downloaded: http://launchpadlibrarian.net/38201251/rtl8192se_linux_2.6.0014.0115.2010.tar.gz

After downloading, I unplugged my USB wifi and performed the following steps:

> tar -xvzf rtl8192se_linux_2.6.0014.0115.2010.tar.gz
> sudo -s make
> sudo -s make install
> sudo shutdown -r now

After rebooting, I was able to successfully connect to an Apple Airport Extreme set to 802.11b/g/n 2.4Ghz using WPA2 encryption. The rtl8192se_pci was configured as wlan1:

>iwconfig

lo no wireless extensions.

eth0 no wireless extensions.

wlan1 802.11bgn ESSID:"SmileyNet" Nickname:"rtl8191SEVA2"
          Mode:Managed Frequency=2.417 GHz Access Point: 00:19:E3:33:A2:39
          Bit Rate=26 Mb/s
          Retry:on RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=72/100 Signal level=-64 dBm Noise level=-106 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

Speeds are not exactly what I'd call great, but it gets the job done. Various speed tests (http://www.speakeasy.net/speedtest) show I'm getting around 5-10Mbps... (it varies).

Additional notes:
1) I haven't played with many of the iwconfig settings, so I'm not sure how much more I can get out of it, but it works.
2) I have put the laptop to sleep and upon wake, it reconnected to the AP without a hitch.
3) To put this into perspestive, I have it dual booting with Windows 7 and I'm connecting to the very same AP at ~130Mbps in Windows 7.

I will do ndiswrapper later and report my findings again.

Hope this helps.

Mark (mark-dane) wrote :

Using rtl8192se_linux_2.6.0014.0115.2010 works on my Toshiba T135-1309 as long as my laptop is on AC power. If I unplug it, then it starts to drop the connection and becomes unusable. I tried removing -DENABLE_LPS from the makefile but then half of the access points (including the one I want to connect to) are not recognized.

Cyrus A (cyrus-videogenesis) wrote :

I'm on a toshiba T135D-1324 (yay AMD!) similar to "Mark" above and get the exact same behavior; on power supply = fine. On battery, very unstable. I'll try to trigger the error and repost it below.

Cyrus A (cyrus-videogenesis) wrote :
Download full text (3.8 KiB)

Here's the error output. Ran for about 20 mins on battery before failing. "richmond" is my wireless router essid

rtl819xSE 0000:09:00.0: firmware: requesting RTL8192SE/rtl8192sfw.bin
rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
===>rtllib_start_scan()
ADDRCONF(NETDEV_UP): wlan0: link is not ready
[drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own
[drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own
[drm:drm_mode_getfb] *ERROR* invalid framebuffer id
executing set pll
executing set crtc timing
[drm] LVDS-9: set mode 1366x768 31
executing set pll
executing set crtc timing
[drm] TV-11: set mode 1600x1200 35
executing set pll
executing set crtc timing
[drm] TV-11: set mode 1600x1200 34
Unpin not necessary for ffff88012ad94800 !
eth0: no IPv6 routers present
type=1305 audit(1265724419.355:21288): auid=4294967295 ses=4294967295 subj=kernel op="remove rule" key=(null) list=4 res=1
type=1305 audit(1265724419.356:21289): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=kernel res=1
hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
executing set pll
executing set crtc timing
[drm] TV-11: set mode 36
fuse init (API version 7.12)
rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
alg name:WEP
Linking with richmond,channel:9, qos:0, myHT:1, networkHT:0, mode:6 cur_net.flags:0x406
Linking with richmond,channel:9, qos:0, myHT:1, networkHT:0, mode:6 cur_net.flags:0x406
===>rtllib_associate_procedure_wq(), chan:9
HTSetConnectBwMode():pHTInfo->bCurBW40MHz:0
rtllib_authentication_req():auth->algorithm is OPEN
rtl8192_SetWirelessMode(), wireless_mode:4, bEnableHT = 0
Associated successfully
normal associate
Using G rates:108
Successfully associated, ht not enabled(0, 0)
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
DHCP pkt src port:68, dest port:67!!
dm_check_edca_turbo():iot peer is unknown, bssid:00:13:10:8c:0c:44
wlan0: no IPv6 routers present
hrtimer: interrupt too slow, forcing clock min delta to 3942369 ns
CE: hpet increasing min_delta_ns to 15000 nsec
rtl819xSE:Err RX pkt len = 0x15

rtl819xSE:Err RX pkt len = 0x16

rtl819xSE:Err RX pkt len = 0x14

[drm:radeon_vga_detect] *ERROR* VGA-1: probed a monitor but no|invalid EDID
[drm:edid_is_valid] *ERROR* Raw EDID:
<3>20 20 00 00 00 fc 00 53 79 6e 63 4d 61 73 74 65 .....SyncMaste
<3>72 0a 20 20 00 00 00 ff 00 48 56 46 4c 42 30 34 r. .....HVFLB04
<3>37 37 30 0a 20 20 00 7b ff ff ff ff ff ff ff ff 770. .{........
<3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
<3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
<3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
<3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................
<3>ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ................

i2c-adapter i2c-1: readbytes: ack/nak timeout
usb 1-2: USB disconnect, address 3
FAT: bread failed in fat_clusters_flush
FAT: bread failed in fat_clusters_flush
FAT: bread failed in fat_clusters_flush
FAT: bread failed in fat_clusters_flush
rtl819xSE:Err RX pkt len = 0x17

dis associate pack...

Read more...

I'm experiencing the same behavior, on battery power its flaky, yet ac power is fine.
Ubuntu 9.10 desktop x86_64, 0014 driver.

Xebec (vkleban) wrote :

Battery powered performance is abysmal. Works for about 5 minutes and then goes down. My Tomato based router does not complain about insufficient power from the laptop (at least what I could catch so far) this time. Instead I see problems on my laptop's side. It complains that signal level from the router falls down below 10%, which I believe to be false, since I have three more devices around the house connected wirelessly.

AC powered performance is pretty good and surpasses my Broadcom based USB adapter in both average speed and stability.

Cyrus A (cyrus-videogenesis) wrote :

More info: I've been using the wireless adapter with ac power plugged in for several hours and it seems OK. Strong signal and stable. So i think the fact that the adapter starts having issues when these laptops are on battery power has been thoroughly proven.

More importantly, though, I'm not an Ubuntu user. My troubles and output (above) all happen on Fedora 12 x86_64 (fully updated to kernel 2.6.31.12-174.2.3.fc12.x86_64). Thus, this issue is definitely not distribution-related. Recent kernels simply don't support the driver and the package supplied in this thread has problems with power management.

@david woo - Thanks for the package submissions. Hopefully we can get it working stably on all machines soon and then have it included into the distro kernels.

Download full text (13.5 KiB)

I installed Debian GNU/Linux testing on a Toshiba Satellite U500-183 that seems to have this wireless device. I have this kernel installed::

ii linux-image-2.6.32-trunk-amd64 2.6.32-5 Linux 2.6.32 for 64-bit PCs

and downloaded rtl8192se_linux_2.6.0014.0115.2010.tar.gz from Realtek's web site, compiled it (make CC=gcc-4.3, no errors) and installed it as per #20. It worked the first time and I connected successfully to my access point. However after a couple of minutes it loses connection. I can only re-establish connection after rebooting and then it looses connectivity again after a couple of minutes.

Excerpt from dmesg:

[ 65.217913] rtllib_crypt: registered algorithm 'NULL'
[ 65.217915] rtllib_crypt: registered algorithm 'TKIP'
[ 65.217917] rtllib_crypt: registered algorithm 'CCMP'
[ 65.217919] rtllib_crypt: registered algorithm 'WEP'
[ 65.217920]
[ 65.217921] Linux kernel driver for RTL8192 based WLAN cards
[ 65.217922] Copyright (c) 2007-2008, Realsil Wlan Driver
[ 65.217965] rtl819xSE 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 65.217972] rtl819xSE 0000:03:00.0: setting latency timer to 64
[ 65.218173] Adapter(8192SE) is found - DeviceID=8172

Later:

[ 77.913978] rtl819xSE 0000:03:00.0: firmware: requesting RTL8192SE/rtl8192sfw.bin
[ 78.093321] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 78.102982] ===>rtllib_start_scan()
[ 78.104014] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 100.118753] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 130.121650] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 136.661785] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 138.078786] Linking with TenYearsAfter,channel:6, qos:1, myHT:1, networkHT:0, mode:6 cur_net.flags:0x40f
[ 138.078801] ===>rtllib_associate_procedure_wq(), chan:6
[ 138.078805] HTSetConnectBwMode():pHTInfo->bCurBW40MHz:0
[ 138.109066] rtllib_authentication_req():auth->algorithm is OPEN
[ 138.109104] Linking with TenYearsAfter,channel:6, qos:1, myHT:1, networkHT:0, mode:6 cur_net.flags:0x40f
[ 138.109141] ===>rtllib_associate_procedure_wq(), chan:6
[ 138.109144] HTSetConnectBwMode():pHTInfo->bCurBW40MHz:0
[ 138.139535] rtllib_authentication_req():auth->algorithm is OPEN
[ 138.142246] rtl8192_SetWirelessMode(), wireless_mode:4, bEnableHT = 0
[ 138.145207] Associated successfully
[ 138.145212] normal associate
[ 138.145226] Using G rates:108
[ 138.145229] Successfully associated, ht not enabled(0, 0)
[ 138.147200] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 138.156036] alg name:CCMP
[ 138.217879] Intel AES-NI instructions are not detected.
[ 138.235834] padlock: VIA PadLock not detected.
[ 138.246566] alg name:TKIP
[ 138.417274] DHCP pkt src port:68, dest port:67!!
[ 140.100421] dm_check_edca_turbo():iot peer is unknown, bssid:00:14:7f:ca:3f:8b
[ 148.580048] wlan0: no IPv6 routers present
[ 170.004802] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 183.792429] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 204.168219] ===>tx queue is not empty:1, 20
[ 204.270602] ===>tx queue is not ...

(followup for #225): Additional symptoms for the loss of connectivity:

# iwconfig wlan0
<hangs, Ctrl+C has no effect>

# cat /proc/net/wireless
<hangs, Ctrl+C has no effect>

--
Ludovic Brenta.

For those users who currently are using a toshiba p505-s8980 with an RTL8191SE card, as I am, I have a solution that will solve the networking issues. When booting, set acpi=off. I'm not sure why this seems to magically fix the problem.

Once you boot with this setting, your wired will magically work. I'm also running the 0115.2010 version of the wireless, which also now works without any issues. Before I set the acpi=off, I was banging my head against a wall, trying to figure out why I kept getting the BIT6 spam in dmesg.

If it ends up working for you, you can add the flag to your /etc/grub.d/10-linux script.

Note, my settings currently work in lucid, and i'm not sure what that setting may have effected elsewhere.

Re: Mike Steigerwalt (#227):

- By "the BIT6 spam" and "the networking issues", are you referring to #162?
- do you have a multi-core machine? If so, disabling ACPI may also disable all cores but one. Could you check that your machine can still use all its CPU cores? (cat /proc/cpuinfo).

--
Ludovic Brenta.

Re: #228

 - Yes, I was referring to #162.

 - And yes, it is a multi-core machine and both cores were running. I'm not sure if the fan was running, however, since my laptop was running a bit warm.

Mike Steigerwalt

Fans don't seem to run on the 505s, regardless. What release (of
ubuntu) are you using?

On Wed, Feb 24, 2010 at 10:03 AM, Mike Steigerwalt
<email address hidden> wrote:
> Re: #228
>
>  - Yes, I was referring to #162.
>
>  - And yes, it is a multi-core machine and both cores were running. I'm
> not sure if the fan was running, however, since my laptop was running a
> bit warm.
>
> Mike Steigerwalt
>
> --
> Realtek RTL8192SE WLAN Card Fails to work on Medion Akoya E1312 Netbook
> https://bugs.launchpad.net/bugs/401126
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Re: #230

I'm currently running 10.04 alpha 2.

clark_mi (fxfzz) wrote :

Re: #225

The issue should be caused by "Leisure power save" state of rtl8192se. Using AC power, rtl8192se doesn't enter "Leisure power save" state, so rtl8192 can maintain a good work state, but using Battery, rtl8192se will enter "Leisure power save" state if rtl8192se is in the idle state, and triggers the issue.

It can be solved by modifying the makefile "HAL/rtl8192/Makefile" to disable "Leisure power save" feature of rtl8192se, and the patch is attached.

I think the bug will be fixed in next rtl8192se driver release.

Re: #232

Thanks a lot for this info. I'm not sure anymore whether I was running on AC power when I saw the symptoms. I remember that I accidentally disconnected the power cord at one point and realized only later; that may very well have been the trigger for the bug.

Xebec (vkleban) wrote :

Re: #232

Thanks for the info, but your patch does not work with "HAL/rtl8192/Makefile" of rtl8192se_linux_2.6.0014.0115.2010. Is there any other update that I missed?

Xebec (vkleban) wrote :

Hm, I did not bother analyzing your patch. It's just the DENABLE_LPS removal suggested by Kippenijzer. I'll try that.

clark_mi (fxfzz) wrote :

Re: #235

Yes, The patch only disable the build macro "DENABLE_LPS", because the "LPS" feature caused the issue. The patch is for rtl8192se driver release "rtl8192se_linux_2.6.0015.0127.2010".

Xebec (vkleban) wrote :

#236

Could you share the source where you've got your rtl8192se_linux_2.6.0015.0127.2010 from? Or if it's not easy to get, could you upload rtl8192se_linux_2.6.0015.0127.2010, please? The official Realtek site only provides rtl8192se_linux_2.6.0014.0115.2010.

pro1ove (z-fangzhou) wrote :

I am so glad to hear that this realtek chipset is supported in Lucid Lynx

stiV (stefan-wehinger) wrote :

well guys - you rock. i got my new netbook today and decided to try lucid netbook remix (although it's sadly just 32bit). It worked like a charm, except the wireless card wasn't recognized, so i googled and after seeing so many people playing with ndiswrapper (i really thought this ancient way wouldn't be needd in 2010) i stumbled upon this thread.

to make it short: i installed build-essential, headers and downloaded the newest driver that is being promoted here. Then i looked at the latest makefile patch (which didn't work, but since it only moves a line, it can be done manually) and the very first "make && make install" worked. after modprobing the module, i could see the wlans in my neighbourhood. So I added the module to /etc/modules, and it's working since then - i am writing this using the netbook and WLAN ;-)

I will test it thoroughly now, but atm i am not seeing any errors in dmesg. Performance tests will not accompany the n-capability, since i've yet to buy an n accesspoint.

Still thank, and i think it would be awesome if this driver could get into lucid (as long it really is stable)

cheers!

Josh Crosby (joshdcrosby) wrote :

#236

I'm also having the same issues with ThinkPad X100e, Karmic 64 2.6.31-19-generic. The driver works wonderful as long as it's plugged in. using 14, is 15 available yet?

Thanks for all of your help, you guys rule!

javatechs (javatechs) wrote :

WOOHOOO!!!! Success!!!! Thanks Mike Steigerwalt! I had given up hope and bought a usb wireless device which was pretty choppy online. I read your post and decided to get the latest driver here: http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true

I compiled this, rebooted and even missed getting into the screen to add the startup parameters and even WITHOUT the acpi setting, it worked right out of the gate!!

I am still on Karmic 9.04 with all the latest patches and amd64bit - man am I delighted!

David Miller (david3d) wrote :

These drivers have been working flawlessly for me on my Lenovo T400 until this kernel update. Anyone else have issues compiling this driver against the newest kernel, 2.6.31-20?

David Miller (david3d) wrote :

Disregard that last comment....forgot sudo make install doesn't work. Had to sudo su - first.

stiV (stefan-wehinger) wrote :

I can confirm, that the driver is unusable when using the netbook on battery power. It works for about a minute, but then just stops. Would it be helpful to add output from syslog?

Aaron Luchko (aaron-luchko) wrote :

For the other people on battery power, I've found that the driver works well for a few minutes than loses the connection.

But to fix this all I have to do is reload the module

# rmmod r8192se_pci; modprobe r8192se_pci

Than reconnect to the network and it works perfectly... for another few minutes.

It's a bit of an annoyance but otherwise works quite well.

CarpeNox (tiagosbatista) wrote :

the driver adds some scripts to /etc/acpi, I am not shure what they are supposed to do...

I will try to remove them. I'll post the results here tomorrow!

TerryH (terryh-tp+launch) wrote :
Download full text (3.2 KiB)

Hello, I had the same result, only first boot up can connect to wireless network on my lenovo X200 , after about one minutes, fail the connection the following is /var/log/syslog, my home wireless network use WEP 64.
I compile from "rtl8192se_linux_2.6.0014.0115.2010" downloaded from RealTek's web site.
the version of kernel I use is
terry_x200:~# uname -a
Linux terry_x200 2.6.32-trunk-amd64 #1 SMP Sun Jan 10 22:40:40 UTC 2010 x86_64 GNU/Linux

[ 34.311666] [drm] LVDS-8: set mode 1a
[ 1569.742485] rtllib_crypt: registered algorithm 'NULL'
[ 1569.742487] rtllib_crypt: registered algorithm 'TKIP'
[ 1569.742489] rtllib_crypt: registered algorithm 'CCMP'
[ 1569.742491] rtllib_crypt: registered algorithm 'WEP'
[ 1569.742492]
[ 1569.742493] Linux kernel driver for RTL8192 based WLAN cards
[ 1569.742494] Copyright (c) 2007-2008, Realsil Wlan Driver
[ 1569.742537] rtl819xSE 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 1569.742545] rtl819xSE 0000:03:00.0: setting latency timer to 64
[ 1569.742741] Adapter(8192SE) is found - DeviceID=8172
[ 1569.766379] rtl819xSE 0000:03:00.0: firmware: requesting RTL8192SE/rtl8192sfw.bin
[ 1569.903452] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
[ 1569.913111] ===>rtllib_start_scan()
[ 1569.913416] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1574.221944] alg name:WEP
[ 1574.302880] Linking with DIGEZ,channel:11, qos:0, myHT:1, networkHT:0, mode:6 cur_net.flags:0x406
[ 1574.302903] Linking with DIGEZ,channel:11, qos:0, myHT:1, networkHT:0, mode:6 cur_net.flags:0x406
[ 1574.303068] ===>rtllib_associate_procedure_wq(), chan:11
[ 1574.303074] HTSetConnectBwMode():pHTInfo->bCurBW40MHz:0
[ 1574.333191] rtllib_authentication_req():auth->algorithm is OPEN
[ 1574.335032] rtl8192_SetWirelessMode(), wireless_mode:4, bEnableHT = 0
[ 1574.337565] Associated successfully
[ 1574.337569] normal associate
[ 1574.337587] Using G rates:108
[ 1574.337592] Successfully associated, ht not enabled(0, 0)
[ 1574.339341] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1575.912498] dm_check_edca_turbo():iot peer is unknown, bssid:00:1d:73:3a:99:25
[ 1576.470130] DHCP pkt src port:68, dest port:67!!
terry_x200:/lib/modules/2.6.32-trunk-amd64/kernel/drivers/net/wireless# tail -f /var/log/syslog
Mar 9 22:43:01 (none) kernel: [ 1630.072104] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
Mar 9 22:43:01 (none) kernel: [ 1630.074356] rtl819xSE:[FW CMD] Set FW Cmd fail!!
Mar 9 22:43:01 (none) kernel: [ 1630.074356]
Mar 9 22:43:01 (none) kernel: [ 1630.074356] rtl819xSE:[FW CMD] Set FW Cmd fail!!
Mar 9 22:43:01 (none) kernel: [ 1630.074356]
Mar 9 22:43:01 (none) kernel: [ 1630.074356] rtl819xSE:[FW CMD] Set FW Cmd fail!!
Mar 9 22:43:01 (none) kernel: [ 1630.074356]
Mar 9 22:43:08 (none) kernel: [ 1637.164054] ----------->rtl8192se_check_hw_scan()
Mar 9 22:43:08 (none) kernel: [ 1637.164062] FW Scan long time without stop, stop hw scan
Mar 9 22:43:08 (none) kernel: [ 1637.165070] <-----------rtl8192se_check_hw_scan()
Mar 9 22:43:57 (none) dhclient: receive_packet failed on wlan0: Network is down
Mar 9 22:43:57 (none) NetworkManager: <info> (wlan0): supplicant connection stat...

Read more...

Michael D. (dobmeier-michael) wrote :

I have had the same problems with a Medion Akoya 1222 on battery power but then I tried the solution written in comment #159 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/401126/comments/159) reinstalled the driver and now everthing is fine with WLAN

csc (carlos-agincor) wrote :

I was having the same problem: working perfect with AC cord plugged but failed working on battery.

I think I have found a solution forcing the driver not to mess with ACPI system:

Just as easy as editing /etc/acpi/wireless-rtl-ac-dc-power.sh file as superuser and change the first command line from CONTROL_RTL_POWER=1
into
CONTROL_RTL_POWER=0

I am using the rtl8192se_linux_2.6.0014.0115.2010 driver in my Toshiba satellite a500-18q with opensuse 11.1 64 bits.

I hope it will work also for you.

Good luck from Spain.

csc (carlos-agincor) wrote :

Sorry, too easy to be true. After reboot, seem to have the same problem.
But I am sure the problem is up to that script in /etc/acpi/wireless-rtl-ac-dc-power.sh
I keep searching...

stiV (stefan-wehinger) wrote :

I also tried that a few days ago and was on the edge of reporting it here, but came to the same conclusion. Helped somehow for sometime, but not really.

Still there is a workaround that is at least a little better than unload/loading the module (which interrupts all connections and needs a few seconds AND needs to be done manually): ping something (eg. a host on the internet or your access point).

just open a terminal and start a ping and your connection won't go down. Mine has been up for over an hour, while on battery power and I did not use my netbook for about 30 minutes (I have no automatic suspend - just screen blanking). seems to be working ;)

TerryH (terryh-tp+launch) wrote :
Download full text (8.4 KiB)

I ha tried turn the option, still have no luck. only connect to the wireless AP few minutes.
CONTROL_RTL_POWER=0
kernel
2.6.32-trunk-amd64 #1 SMP Sun Jan 10 22:40:40 UTC 2010
RealTek driver
rtl8192se_linux_2.6.0014.0115.2010
Here's my syslog
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'ssid' value 'RAY'
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'scan_ssid' value '1'
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'key_mgmt' value 'NONE'
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'auth_alg' value 'OPEN'
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'wep_key0' value '<omitted>'
Mar 11 11:24:10 (none) NetworkManager: <info> Config: added 'wep_tx_keyidx' value '0'
Mar 11 11:24:10 (none) NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Mar 11 11:24:10 (none) NetworkManager: <info> Config: set interface ap_scan to 1
Mar 11 11:24:10 (none) NetworkManager: <info> (wlan0): supplicant connection state: inactive -> scanning
Mar 11 11:24:10 (none) kernel: [ 281.812428] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
Mar 11 11:24:12 (none) wpa_supplicant[3649]: Trying to associate with 00:0a:79:db:ba:a0 (SSID='RAY' freq=2462 MHz)
Mar 11 11:24:12 (none) kernel: [ 283.229351] alg name:WEP
Mar 11 11:24:12 (none) wpa_supplicant[3649]: Association request to the driver failed
Mar 11 11:24:12 (none) kernel: [ 283.567419] Linking with RAY,channel:11, qos:1, myHT:1, networkHT:1, mode:10 cur_net.flags:0x40e
Mar 11 11:24:12 (none) kernel: [ 283.567444] Linking with RAY,channel:11, qos:1, myHT:1, networkHT:1, mode:10 cur_net.flags:0x40e
Mar 11 11:24:12 (none) kernel: [ 283.567740] ===>rtllib_associate_procedure_wq(), chan:11
Mar 11 11:24:12 (none) kernel: [ 283.567747] HTSetConnectBwMode():pHTInfo->bCurBW40MHz:0
Mar 11 11:24:12 (none) NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associating
Mar 11 11:24:12 (none) kernel: [ 283.598034] rtllib_authentication_req():auth->algorithm is OPEN
Mar 11 11:24:12 (none) kernel: [ 283.599894] rtl8192_SetWirelessMode(), wireless_mode:10, bEnableHT = 1
Mar 11 11:24:12 (none) kernel: [ 283.604333] Associated successfully
Mar 11 11:24:12 (none) kernel: [ 283.604335] normal associate
Mar 11 11:24:12 (none) kernel: [ 283.604344] Using G rates:108
Mar 11 11:24:12 (none) kernel: [ 283.604346] Successfully associated, ht enabled
Mar 11 11:24:12 (none) kernel: [ 283.604349] HTSetConnectBwMode():pHTInfo->bCurBW40MHz:1
Mar 11 11:24:12 (none) NetworkManager: <info> (wlan0): supplicant connection state: associating ->
 associated
Mar 11 11:24:12 (none) wpa_supplicant[3649]: Associated with 00:0a:79:db:ba:a0
Mar 11 11:24:12 (none) wpa_supplicant[3649]: CTRL-EVENT-CONNECTED - Connection to 00:0a:79:db:ba:a0
completed (auth) [id=0 id_str=]
Mar 11 11:24:12 (none) NetworkManager: <info> (wlan0): supplicant connection state: associated ->
completed
Mar 11 11:24:12 (none) NetworkManager: <info> Activation (wlan0/wireless) Stage 2 of 5 (Device Conf
igure) successful. Connected to wireless network 'RAY'.
Mar 11 11:24:12 (none) NetworkManager: <info> Activation (wlan0) ...

Read more...

My temporary solution (Toshiba Satellite Pro U500, driver 0014):

in /etc/acpi/wireless-rtl-ac-dc-power.sh replace RTL8192_BATT_POWER=6 with RTL8192_BATT_POWER=0 (line 15)

in this manner the wlan card never go in battery mode

I tested this solution for about 8-9 days (with and without AC cord) and I have no problem .... ;-)

[for csc: i have tested that if you change CONTROL_RTL_POWER to 0 the wlan card always go in battery mode only (because this is the default mode) and, obviously, don't work correctly ... when the wlan card is in battery mode the ping response is about 1 ms slow than in AC mode, I use this trick for testing the power card state]

another solution is setting power card state manually:

"iwpriv wlan0 set_power 0" -> AC mode
"iwpriv wlan0 set_power 6" -> battery mode (the broken state)

ciao

on Realtek site ... rtl8192se_linux_2.6.0015.0127.2010.tar.gz

ciao

csc (carlos-agincor) wrote :

Ok, Andrea you are right. I was touching the wrong line.

But it seems to be solved with the new drive from Realtek. Works well with and without AC power.

TerryH (terryh-tp+launch) wrote :

Hello,

finally I have a working wifi connection. the latest version 14 can't work on my thinkpad x200, but the driver post at #28

http://launchpadlibrarian.net/34090326/rtl8192se_linux_2.6.0010.1012.2009_64bit.tar.gz seems work for me.
thanks a lots, hope the near future we could have a better supported driver.

Cyber-Ice (cyberice) wrote :

So far i had no problem with the one provided on the realtek site ( Ver.15) with the kernel 2.6.31.20 x64. Didn't try it really hard but it is obvious that its working on battery now....finally! ;)

Katana (katana--) wrote :

@Cyber-Ice: Got a link to that version, by any chance? I'm still running on the version posted way back in #90, and wondering if it'll improve the stability of my network connection.

Josh Crosby (joshdcrosby) wrote :

@Cyber-Ice - Please me too :) Can you provide the link?

Josh Crosby (joshdcrosby) wrote :

Nevermind, found it - http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true I'm going to give it a shot and let you all know if it works.

Me on a Thinkpad X100E
$uname -a
Linux josh-laptop 2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:02:26 UTC 2010 x86_64 GNU/Linux

Josh Crosby (joshdcrosby) wrote :

So I'm thinking this did the trick. Prior to this, my connection on battery would have died long ago.

Here's what I did.
Download from #260, pick your linux driver

Extract to /tmp

$sudo su
#make clean
#make
#make install
#sudo reboot

Attached is my speedtest :) YAYYYYY

Spuckiii (spuckiii) wrote :
Download full text (3.7 KiB)

Hello @all.
I have a problem with the 8192 ver01 wlan card. so my card is not runnig. i tried but it dont work. sorry if my english is bad.

i download the newest driver for the card at realtek. i tried to install with sudo su, make, make install. but the driver will not load in the kernel i think. so what can i do.
can anyone help me please????

netbook@netbook-laptop:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.10
DISTRIB_CODENAME=karmic
DISTRIB_DESCRIPTION="Ubuntu 9.10"
netbook@netbook-laptop:~$ uname -a
Linux netbook-laptop 2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 2010 i686 GNU/Linux
netbook@netbook-laptop:~$ lspci -nn | grep -i net
03:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. Device [10ec:8192] (rev 01)
04:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller [11ab:4354] (rev 13)
netbook@netbook-laptop:~$ iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

pan0 no wireless extensions.

netbook@netbook-laptop:~$ ifconfig
eth0 Link encap:Ethernet Hardware Adresse 00:24:54:18:cd:a4
inet Adresse:192.168.0.44 Bcast:192.168.0.255 Maske:255.255.255.0
inet6-Adresse: fe80::224:54ff:fe18:cda4/64 Gültigkeitsbereich:Verbindung
UP BROADCAST RUNNING MULTICAST MTU:1500 Metrik:1
RX packets:6302 errors:0 dropped:0 overruns:0 frame:0
TX packets:5820 errors:0 dropped:0 overruns:0 carrier:0
Kollisionen:0 Sendewarteschlangenlänge:1000
RX bytes:6533682 (6.5 MB) TX bytes:1047411 (1.0 MB)
Interrupt:23

lo Link encap:Lokale Schleife
inet Adresse:127.0.0.1 Maske:255.0.0.0
inet6-Adresse: ::1/128 Gültigkeitsbereich:Maschine
UP LOOPBACK RUNNING MTU:16436 Metrik:1
RX packets:8 errors:0 dropped:0 overruns:0 frame:0
TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
Kollisionen:0 Sendewarteschlangenlänge:0
RX bytes:560 (560.0 B) TX bytes:560 (560.0 B)

netbook@netbook-laptop:~$ lsmod
Module Size Used by
binfmt_misc 8356 1
ppdev 6688 0
bridge 47952 0
stp 2272 1 bridge
bnep 12060 2
snd_hda_codec_nvhdmi 4828 1
snd_hda_codec_realtek 203328 1
joydev 10240 0
snd_hda_intel 26920 2
snd_hda_codec 75708 3 snd_hda_codec_nvhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 7200 1 snd_hda_codec
snd_pcm_oss 37920 0
snd_mixer_oss 16028 1 snd_pcm_oss
snd_pcm 75296 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_dummy 2656 0
snd_seq_oss 28576 0
snd_seq_midi 6464 0
snd_rawmidi 22176 1 snd_seq_midi
snd_seq_midi_event 6940 2 snd_seq_oss,snd_seq_midi
snd_seq 50224 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 22276 2 snd_pcm,snd_seq
btusb 11856 2
uvcvideo 59080 0
videodev 36736 1 uvcvideo
v4l1_compat 14336 2 uvcvideo,videodev
iptable_filter 3100 0
ip_tables 11692 1 iptable_filter
x_tables 16544 1 ip_tables
nvidia 9586440 38
agpgart 34988 1 nvidia
snd_seq_device 6920 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
psmouse 56500 0
serio_raw 5280 0
snd 59204 16 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
shpchp 32272 0
soundcore 7264 1 snd
snd_page_alloc 9156 2 snd_hda_intel,snd_pcm
i2c_nforce2 6784 0
lp 8964 0
parport 35340 2 ppdev...

Read more...

Katana (katana--) wrote :

@Spuckiii

Did you modprobe in the module?

should be $ modprobe r8192se_pci

Spuckiii (spuckiii) wrote :

@Obsidian
yes i did. but nothing happens. iwconfig says no wireless

Cyber-Ice (cyberice) wrote :

Hey there! here's the link : http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=21&PFid=48&Level=5&Conn=4&DownTypeID=3&GetDown=false&Downloads=true

One thing i did manage to see from now, there is signal dropdown once every 30 min or so! dropping from 85 to 40% once in a while and getting back up (strange behavior), Currently its no big deal but its a thing to improve for future releases! ;)

@Obsidian : Get the package from realtek site. just before installing it do : sudo rmmod r8192se_pci to completely remove the previous one. if it is the same package that you had do a make clean from the source folder. After that start from the beginning : su && make && make install. Try to reboot and try your network. I don't know why exactly but the previous drivers that i tried seems to still being loaded on memory and had no chance of getting back the network without rebooting. Give it a try !

Cyber-Ice (cyberice) wrote :

Ooops was not obsidian that the message was intended ... Spuckii ! sorry! :S

Katana (katana--) wrote :

Hehe, no problem.

Just a note, I'm running this on Fedora 12 x86_64 without issues so far, and unlike the previous drivers + patch in #90, I've managed to maintain connection without it dropping on me for a while now. Looks like this set might be good to go.

Øsse (oystwa) wrote :

I'm having some issues with the newest driver (version 0015).

On every single boot, without exception, I have to run the wlan0up script. Why is that? It isn't really a problem, but it gets annoying after a while. I have tried installing the driver with and without my wifi card active. No difference.

In uneven intervals my connection drops. The network manager still says I am connected with the usual signal strength, but I cannot even ping my own router. If I disconnect and reconnect again, everything as back to normal, but anywhere between 5 minutes and one hour afterwards the same thing happens again. dmesg prints out loads of stuff all the time, but I don't know what to look for. Does ADDBARSP and ADDBAREQ have something to do with it?

Zedar (michael-merkle4) wrote :

Here another note:

It seems the driver is integrated in the actually daily Snapshot of Lucid Lynx with kernel 2.6.32-16-generic but it doesnt work without installing the driver from Realtek, but in this combination it runs perfectly on a Medion E1222 with same WLAN NIC.

This is a 32 bit system and the topic is far away now, but i think some people could help these information.

Nuno (nuno-miguel-vitorino) wrote :

I'm using the latest drivers and having the same problems as Øsse on post #268. Is this a regression from previous drivers?
There are lots of messages in dmesg but seems there are two errors causing the connection to fail:

[ 5850.474867] rtllib: ERR! in GetTs(), TID(10) is not valid
[ 5850.474876] rtllib: can't get TS for RXTS in rtllib_rx_DELBA().dst:00:24:17:99:e8:d3 TID:10

Any ideas? Should I just try the previous driver?

Thanks,

Nuno

Asem (the1asem) wrote :

Hello;
i just installed ubuntu 10.04 beta1 64 bit,and found the wireless working natively but with the same problem as that posted at 268
, i hardly can maintain a couple of minutes of connection then i must restart the network to get the connection working again.
i installed the latest drivers from realtek v.15 and there is no effect on the situation.
i am still using ubuntu 9.10 2.6.31.20 with the realtek driver and the connection is very good actually...so is it a problem with the 2.6.32 kernel?

Howard Chu (hyc) wrote :

I just got a Thinkpad Edge yesterday and installed 10.04 beta1 x64 on it. Out of the box the driver was only seeing 1 unencrypted network. I grabbed the latest realtek driver and then was able to see the other networks (my own is WPA/Enterprise). After I deleted the original driver (from /lib/modules/<version>/kernel/ubuntu) and installed the new one, things seemed to be working OK.

But it looks like the driver stops working after the machine has gone to sleep and waken up again. It would see my network but failed on WPA authentication. rmmod / modprobe seemed to take care of that.

Nuno (nuno-miguel-vitorino) wrote :

BTW, I'm running Karmic with the 2.6.31.20 kernel and I have the problem of maintaining a connection so it's not a specific 2.6.32 kernel problem.

Nuno

Øsse (oystwa) wrote :

The same problems exists wtih 2.6.33 as well, using Karmic. However, it seemed like it managed to reconnect after 30 seconds or so. I wil ltry this out some more.

Nuno (nuno-miguel-vitorino) wrote :

After a lot of testing I found that the problem occurred only when connecting with WPA2. I changed my wireless security to connect through WPA and the connection is working fine with the latest drivers.I've tried playing a bit with wpa_supplicant but to no avail. So it seems like it's a bug with WPA2 only. Another option is some problem with my wireless router (a BT HomeHub 2, which is pretty common here in the UK. I have no problems at all with the connection on my Windows computers.

Ivo Sir (ivo-sir) wrote :

Hi folks,

Sorry for crossposting... but after a sleepless night I managed to make my connection working and stable. I can confirm the post #275, thanks to Nuno for the hint.

Running Ubuntu Karmic (9.10) 64bit on Asus EEE 1201N with rtl8192se wifi interface.

A few days ago I bought a new wifi router, 802.11n capable. Since that time the connection was a nightmare. Drop-outs every few minutes, kernel panics, cold resets. I tried many driver versions from both https://bugs.launchpad.net/ubuntu/+s...ux/+bug/401126 and http://www.realtek.com.tw/downloads/, no joy. Ndiswrapper does not work for this network interface on the 64bit OS.

Finally, switching the router from WPA2 to WPA did the magic. Now running the latest driver from the Realtek web site, the connection has been rock stable, about 30 hours without a single drop-out, 150 Mbps.

Either the WPA2 implementation is faulty in the device driver or there is a coincidence of the WPA2 and the 802.11n standard.

Cheers!
Ivo

Meng Zhuo (mengzhuo1203) wrote :

I had make some deb for this card in http://www.thinkwiki.org/wiki/ThinkPad_11b/g/n_Wireless_LAN_Mini-PCI_Express_Adapter_II
welcome every body go and test it

Øsse (oystwa) wrote :

Thanks, Meng Zhuo! Have you made any changes to the drives, except for making the debs?

Øsse (oystwa) wrote :

From #275 and #276 I decided to change the encryption on my router as well. On my router I have the possibility of choosing between WPA2 (AES) and WPA2 Mixed. The default was WPA2 (AES). After changing it to WPA2 Mixed the connection doesn't drop anymore. Sometimes the signal strength drops from the usual value of 88% to 65% and bounces back up again but it seems I am ping the router perpetually.

I don't really know what WPA2 Mixed is, but I guess it is better than WPA.

barroca (barroca) wrote :

Just to mention, this isn't a distribution related issue, i've confirmed the problem with this driver in a Meego based distribution.
In my case, i wasn't abble to connect into N-based network with WEP.

My card is a rtl8191se.

barroca (barroca) wrote :

Hello all, i've found another bug in the launchpad #530275 and it might be related.

In my system the driver found here worked:
https://launchpad.net/~matt-price/+archive/mattprice/+packages

Thanks.

I know there has been a great many comments about this issue, but I'd like to throw in my voice. I have a Toshiba L555D-S7930 with the Realtek 8172 (though it shows up under Win 7 as an 8191se). I've installed the 10.04 beta 2 and am able to connect without WPA only. If I stop working for all of 5 minutes, it simply stops working and will not reconnect without having to shut down to a power off state, then reconnecting.

I've tried all the suggestions regarding compiling a driver, but on my computer it exits with error 2 during the make install. (and Yes, I've installed the sources, headers, and everything else that needs to be installed to compile the driver, and yes, I did use sudo make install.) Every time I try to compile the drivers, it gives me the error.

The very strange thing about all this is I have to turn off WPA in order to connect at all, and even then it is for a very limited time, and that is out of the box.

I've done all the updates and have had to connect to a wired network to do so. lcpci shows the same as most others here, the card is found as 8172.

Is there a setting somewhere or other drivers I must be missing??? I'm willing to try anything at this point including a reinstall, though somehow I doubt that will make a difference.

I am using the i386 version as I only have 3gig of mem to begin with. Would switching to 64bit make a difference?

Katana (katana--) wrote :

@Ken Nelan: Sounds like your issue is the command. You say you're using "sudo make install", yes?

If that is the case, for this set of drivers that doesn't seem to work. You _must_ build the drivers with "su", not "sudo".

For Ubuntu, use these terminal commands:
$ sudo su
(enter sudo password)
$ make; make install; modprobe rtl8192se_pci

(I do this with a few differences, since I run on Fedora, but that's the gist of it)

Hope that helps.

@Obsidian,

I did try that and it was still no go. Still got the same error message. Running Ubuntu 10.04 b2 here. I did discover that the AMD Turino II M500 is a 64 bit so I'm going to download the 64 version and see if that makes the difference... Everything I've read shows people using the 64 bit with great success.

pablomme (pablomme) wrote :

@Ken: try the dkms package in Matt Price's PPA, https://launchpad.net/~matt-price/+archive/mattprice . Simply install the package using synaptic/apt-get/..., and possibly reboot. This is just the latest Realtek driver release packaged as a dkms module, for which everything is done automatically. See bug #530275 for more info.

On a separate note, whether you choose to install 32- or 64-bit Ubuntu has no effect on this. In practice it might be marginally "safer" to stay on 32-bit Ubuntu, while you may obtain marginally better performance on 64-bit Ubuntu - it's your choice.

@pablomme et al...

Wow. That's all I can say. Wow!!!

I don't know if it was something I was doing then, which I admit is entirely possible, but it is working so well now!!! No pauses, no complaints!!!!

I probably missed reading that there were updated drivers. I was using an old set.

This is no longer an issue for me.

pablomme, thank you so much for the quick response, and to you as well Obsidian!!!! I'll give it a thorough work out to make sure nothing freezes up. (oh... and wpa now works as well.)

Peace ya'all.

Kjnelan

Chih-Hsyuan Ho (chih) wrote :

In my system, after installing the latest driver from Realtek (Version: 0015.0127.2010), the wireless function would work properly upon a fresh system start. However, it could no longer connect to internet after coming back from suspend or hibernate. It would simply keep trying and trying and fail eventually. Anyone else has similar experience?

Chih-Hsyuan Ho (chih) wrote :

Later I learned that adding the following line to a newly created file in /etc/pm/config.d/wireless

SUSPEND_MODULES="r8192se_pci"

to force an unload/load the r8192se_pci module during S3/S4 process seems to fix the issue.

Chih Ho: what is your system?

I have a Asus EEE 1201N laptop with the same characteristics.
However it seems to be related to other bugs that makes hibernate &
suspend not work properly on that laptop.

hello everyone! after grappling with this problem myself. ok first of all you need to use the realtek driver as david woo suggested. manual or automatic install is your choice. try automatic. much quicker i guess. then you might come across the situation where the GUI will still not show the list of wireless networks nearby. go to terminal and then:

ifconfig wlan0 up

should do the trick.

otherwise, from the folder where you extracted the drivers,

./wlan0 up

where i got this from? - the driver readme! check it out and its quite helpful and straightforward!

Brian Harkness (maestro-bwh) wrote :

Sadly, I see the same issue that others are seeing with 64 bit. The module/driver is there but it fails to find any networks.

Martin Lindhe (martinlindhe) wrote :

Brian:

try installing rtl8192se-dkms from https://launchpad.net/~matt-price/+archive/mattprice

Chih-Hsyuan Ho (chih) wrote :

Martin, it is a generic laptop system made an unknown ODM. The wireless module is identified as [10ec:8172] and the driver from Matt Price's PPA is used.

For what it's worth, I just discovered that to make wireless function work more reliably upon resuming from suspend, in addition to the file added to /etc/pm/config.d/, a manual rmmod and modprobe operation to the r8192se_pci module at resume is needed. Reason is completely unknown though.

Brian Harkness (maestro-bwh) wrote :

Martin:Thanks for this. I was wading through this very long post yesterday after getting my ASUS EEEPC 1201N and was trying everything.
It was frustrating to see wlan0, only to find that it was inoperable. A kernel driver that does not work on the device creates more problems than not having the driver.
I will post a short how to on Ubuntu: there is nothing there that solves this problem yet. I am up and running with the internal wireless card now:-)

Nico Lang (rebmevon77) wrote :

Hi!
Does anybody have a working connection with 8192SE and new 10.04? Under 9.10 the last driver (0015) has worked perfect but now under 10.04 nothing :-(
P.S. I made a update from 9.10 to 10.04 and have reinstalled the 0015 driver

Nico

Hello!

I have 0015 driver working with 10.04, kernel version is
"2.6.32-21-generic #32-Ubuntu".
Device: Realtek Semiconductor Co., Ltd. Device 8172 (rev 10)

Have you removed /lib/modules/2.6.32-21-generic/kernel/ubuntu/rtl8192se/ ?

On Sat, 01 May 2010 10:47:33 -0000, Nico Lang <email address hidden>
wrote:
> *** This bug is a duplicate of bug 567016 ***
> https://bugs.launchpad.net/bugs/567016
>
> Hi!
> Does anybody have a working connection with 8192SE and new 10.04? Under
> 9.10 the last driver (0015) has worked perfect but now under 10.04
nothing
> :-(
> P.S. I made a update from 9.10 to 10.04 and have reinstalled the 0015
> driver
>
> Nico

Nico Lang (rebmevon77) wrote :

@Valdimir
No, it is still there. At this moment wifi works fine but sometimes I have interruptions and I have to stay 1m from my router away. It seems to be the same problem as earlier with battery power and 'normal' power management. Keep trying...

Nico

I was actually wrong when I stated everything worked fine. I had forgotten I was not using any encryption for my wireless when I was doing all the testing.

The moment I turned on encryption on my router I had problems all over again. It turns out it was my router setting.

I don't know if this will work or not for anyone out there having this problem, but I had one bugger of a time getting the realtek 8192SE to work on my Toshiba Satellite. The fix actually was not on my computer, but on the router. The moment I changed the router from both “WPA2 and WPA” to just WPA everything worked. I had used the updated drivers, compiled drivers, did everything suggested in forums and in bug reports and nothing worked. Making that one change in my router made everything work perfectly.

I've tried several live CD's, all of which now work with my wireless 8192SE after making that change to my router.

I'm just still learning the finer intricacies of Linux myself. I hope this helps someone out there, though I don't think this is a fix. It just worked for me...

theUg (theug) wrote :

@Ken Nelan. It shouldn’t be the router issue. For instance, my new laptop doesn’t work with Realtek 8192 card (network manager states  “device not ready”), while Linksys USB adapter works on the same network.

@theUg,

Forgive me, I thought I added that I didn't think my post was a fix, but it may help some out there who are able to "see" their network, but unable to connect to it. They may think it's a error with their hardware when it may be a router issue.

Please do note, I say "may" be. I am in no way making statements of fact. I am only saying I had an issue where I could not get my Toshiba laptop's wireless (which has the 8192SE in it) to even find, let alone use the wireless card. I did update drivers, compiled drivers, updated kernels, etc... everything suggested by all bug reports and forums. When I could finally "see" my network I could not connect and thought it was still an issue with my driver or with wpasupplicant. Making the change from WPA2 and WPA to just WPA allowed me to then connect into my network.

I am merely suggesting that those who are able to "see" their network, but are still unable to connect should at least "try" what I suggested. For those who can not get their devices to work at all, then obviously my suggestion is moot. Perhaps I should have been clearer with my suggestion. Forgive me... One is merely trying to help those who may be in the same situation I was in.

theUg (theug) wrote :

@Ken Nelan. No, there is no problem. Really, what I was saying it never should be router problem, and system should ideally figure it all out on its own. But that’s why we have bug reports. :)

STaRMaN (jarizaro) wrote :

For me, today, in Lucid, with kernel.. Linux 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:28:05 UTC 2010 x86_64 GNU/Linux

I'm not having problems using this wlan.
Drivers are defaults from lucid, i did't touch something.
In karmic i had to compile and build rtl8192se_linux_xxx_64bit.tar.gz .

I have been running this machine (default Lucid install) , for 4 - 5 days without stop (no more hangs). So i think this problem is solved in lucid ...

Marius (wishinet) wrote :

You can sum up all these posts in one sentence:
Realtec's RTL8192SE Linux drivers are buggy, there're no in-Kernel drivers, and Realtec doesn't have any intention to fix this.

No one cares whether it works with some unknown router. It has nothing to do with "the router". Your router configuration doesn't really matter.

The device drivers at current state do not allow to use WPA Enterprise. It's not deactivated, it crashes. It won't be fixed. Therefore change the status to "WONTFIX" clean up this mess, and wait until Linux supports this hardware, too.

Mancy (mancy) wrote :

it Works for me.
my station: Toshiba L510 Satellite Realtek 8172 with driver RTL8192SE

I've discovered my WIFI problem with Lucid 2.6.32-24-generic

my system was in dual-boot, i logged in to windows then i was using the LAN which led me to deactivate/disable the WLAN using the keyboard function keys.

then all solutions on Ubuntu doesn't work, until i booted to windows again and activated the WLAN driver then rebooted to Ubuntu and that made it WORK.

so my suggestion is to activate your WLAN using the keyboard function keys from Windows or other application because i cannot use the keyboard functions keys on Ubuntu to activate or deactivate the WLAN Driver.

hope it helps ;)

Yang Zhou (yangorang) wrote :

Same issue with my Lenovo x100e under Ubuntu 10.4. I really wish this would get fixed so I can use Linux rather than Windows 7 as my laptop is not terribly fast.
I need to be able to connect to my university network, which uses WPA-Enterprise with PEAP.
Also my home network uses WPA2-Personal; I've been having a lot of issues with the Realtek drivers connecting to these so heh...

Jared Biel (sylvester-0) wrote :

Just adding another "me too" here. Using 10.04 w/ all updates (2.6.32-24-generic #39) my machine is unusable with the RTL 8172 wireless card turned on. It randomly locks up my machine - sometimes within minutes of boot, othertimes within hours. I'm upgrading to Maverick right now to see if the situation has improved. I WOULD just switch out the wireless card but this machine is a Lenovo X201 and Lenovo only allows their "authorized" (locked by BIOS) network cards to be installed...

I have the same problem on a Toshiba x505-890 Using 10.04 w/ all updates (2.6.32-24-generic) . My machine randomly locks up. Actually, one wireless network at the university, my machine always goes into a kernel panic as soon as the wireless connects.

meneer (meneer) wrote :
Download full text (3.4 KiB)

I just installed the latest driver for rtl8192se card on my Lenovo Thinkpad Edge 13 (AMD processor powered), and after installing these messages are logged in the message log repeatedly:

Aug 25 08:46:26 Thinkpad kernel: [ 244.604057] =====>rtl8192_set_chan()====ch:13
Aug 25 08:46:26 Thinkpad kernel: [ 244.716085] Scan in 20M, back to 40M
Aug 25 08:46:26 Thinkpad kernel: [ 244.716111] =====>rtl8192_set_chan()====ch:9
Aug 25 08:46:26 Thinkpad kernel: [ 244.726404] ===>rtl8192se_link_change():ieee->iw_mode is 2
Aug 25 08:46:26 Thinkpad kernel: [ 244.726421] rtl8192_update_cap(): WLAN_CAPABILITY_SHORT_PREAMBLE
Aug 25 08:47:18 Thinkpad kernel: [ 296.825792] rtl8192_hw_sleep_down(): RF Change in progress!
Aug 25 08:47:21 Thinkpad kernel: [ 300.111095] r8169: eth0: link up
Aug 25 08:47:24 Thinkpad kernel: [ 302.828137] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again
Aug 25 08:48:04 Thinkpad kernel: [ 342.826050] rtl8192_hw_sleep_down(): RF Change in progress!
Aug 25 08:48:05 Thinkpad kernel: [ 343.204997] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
Aug 25 08:48:05 Thinkpad kernel: [ 343.205251] ===>rtl8192se_link_change():ieee->iw_mode is 2
Aug 25 08:48:05 Thinkpad kernel: [ 343.260187] Scan in 40M, force to 20M first:3, 1
Aug 25 08:48:05 Thinkpad kernel: [ 343.260251] =====>rtl8192_set_chan()====ch:1
Aug 25 08:48:05 Thinkpad kernel: [ 343.372053] =====>rtl8192_set_chan()====ch:2
Aug 25 08:48:05 Thinkpad kernel: [ 343.484181] =====>rtl8192_set_chan()====ch:3
Aug 25 08:48:05 Thinkpad kernel: [ 343.597249] =====>rtl8192_set_chan()====ch:4
Aug 25 08:48:05 Thinkpad kernel: [ 343.708233] =====>rtl8192_set_chan()====ch:5
Aug 25 08:48:05 Thinkpad kernel: [ 343.820057] =====>rtl8192_set_chan()====ch:6
Aug 25 08:48:05 Thinkpad kernel: [ 343.932223] =====>rtl8192_set_chan()====ch:7
Aug 25 08:48:05 Thinkpad kernel: [ 344.044093] =====>rtl8192_set_chan()====ch:8
Aug 25 08:48:05 Thinkpad kernel: [ 344.156062] =====>rtl8192_set_chan()====ch:9
Aug 25 08:48:06 Thinkpad kernel: [ 344.268054] =====>rtl8192_set_chan()====ch:10
Aug 25 08:48:06 Thinkpad kernel: [ 344.380054] =====>rtl8192_set_chan()====ch:11
Aug 25 08:48:06 Thinkpad kernel: [ 344.492411] =====>rtl8192_set_chan()====ch:12
Aug 25 08:48:06 Thinkpad kernel: [ 344.604080] =====>rtl8192_set_chan()====ch:13
Aug 25 08:48:06 Thinkpad kernel: [ 344.716093] Scan in 20M, back to 40M
Aug 25 08:48:06 Thinkpad kernel: [ 344.716107] =====>rtl8192_set_chan()====ch:9
Aug 25 08:48:06 Thinkpad kernel: [ 344.726266] ===>rtl8192se_link_change():ieee->iw_mode is 2
Aug 25 08:48:06 Thinkpad kernel: [ 344.726279] rtl8192_update_cap(): WLAN_CAPABILITY_SHORT_PREAMBLE
Aug 25 08:48:08 Thinkpad kernel: [ 346.821522] rtl8192_hw_sleep_down(): RF Change in progress!
Aug 25 08:48:10 Thinkpad kernel: [ 348.827117] rtl8192_hw_wakeup(): RF Change in progress! schedule wake up task again

The driver I downloaded form the realtek site and installed is rtl8192se_linux_2.6.0017.0705.2010.tar.gz (published augustus 24th).
Running ubuntu 10.04.1, kernel 2.6.32-24-generic
I issued these commands to install the kerneldriver:
    $ sudo su
    # make
    # make install
  ...

Read more...

JL (vwyodapink) wrote :

The problem is still here for me running any version of this driver either from Ubuntu or Realtek themselves. I have even tried emailing their tech support for help and the drivers they sent me still cause the same problems, some even worse than before. For me even if I am not connected to anything just have the driver installed I get the hard lock up and have to do a hard reboot and then restart again to get everything going correctly again. I have to resort to using a USB dongle for wifi and leaving the driver out of the system. Funny thing is my USB adapter is a realtek as well just different chip version and it rocks no issues at all. I am on a toshiba x505-887 running Ubuntu 10.10 Kernel 2.6.35-23-generic, nvidia driver.

I have done every possible combination to confirm its this driver alone and for my system its only this that makes it unusable.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers